===================
Saurus CMS 4.6.5
Release Date 14.01.2010
CHANGES HISTORY 
===================

4.6.5 [14 Jan 2010]

- Saurus CMS Free: We increased the content limit in the free packgage from 150 objects to 500 so you can create sites with bigger content volume free of charge now. You have to upgrade your copy of Saurus CMS to version 4.6.5 to enable the new limit. For more about Saurus CMS Free, visit www.saurus.info/saurus-cms-free/
- Editor: New object is now created in the position where you clicked the "New.." menu item. Previously, new objects were created always as first element in the list.
- Editor: The editor toolbar now features a list of sites/languages for easy switching.
- Site cache: When new content is created, the internal cache only flushes current site/language. Perviously, entire cache was flushed.
- General: When changing the object's parent, the selection window showed default site/language instead of current one.
	In addition, content editor was always logged into the default site/language. [#2883]
- General: User could not login when the server was not using Standard DES encryption. [#2889]
- General: The "lang" parameter in the URL did not override site/language extension in the alias. [#2884]
- General: When redirecting from object ID to an alias the port in the URL was skipped. [#2887]
- General: Unpublished object did not redirect to 404 article when object ID to alias redirection was enabled. [#2893]
- Filemanager: In some servers the thumbnails in the filemanager were not created. [#2858]
- Glossary: Missing translations can again be added from editing mode. [#2881]
- Article editor: The "Insert new image/file" button did not create a link to the file. [#2894]
- Minor bugfixes. [#2890, #2882]

4.6.4 [23 Nov 2009]

- System requirements: Support for PHP 4 is discontinued since Saurus CMS version 4.6.0. The Zend Optimizer needs to be at least version 3.3.0. In case of PHP 5.2.10+, the Zend Optimizer needs to be at least 3.3.9.
- Aliases: Dynamic site URL-s (eg sitename.com/?id=123) are now redirected to their human-friendly form (eg sitename.com/news) by default.
This setting can be turned off from Admin > System > Configuration > Aliases section.
- Aliases: All site-wide hyperlinks in dynamic format (sitename.com/?id=123) will be replaced by corresponding aliases (sitename.com/news) during page display.
This feature is turned off by default because it may slow page views in bigger sites which do not use Saurus CMS cache.
You can turn it on from Admin > System > Configuration > Aliases section.
- Aliases: If aliases are configured to contain site/language name (eg site.com/en/news), the site root (site.com) displays the default site/language instead of currently selected site/language.
- Saurus API: You can now perform search across multiple sites. To accomplish this, use the new parameter "sites" in the "init_search_results" API tag which is a comma separated list of site/language extensions from where to display search results. Use "all" for all sites. By default only the active site is searched.
- Saurus API: The tag "init_language" is now deprecated and replaced by more dynamic "init_sites".
- Saurus API: New variables: $site_extension (contains the active sites extension), $glossary (contains the name of the glossary of the active site), $locale (contains the locale of the active site), see http://www.saurus.info/global-variables for more details, the $lang variable is now deprecated.
- Article Editor: It was impossible to add images or files from the File Manager into an existing article. [#2862]
- Article Editor: Lead/body separator was not shown in Internet Explorer 7+ after the first insertion. [#2807]
- Feedback forms: The feedback address could not be changed through the hidden field dialog window. [#2863]
- General: Cookie "current_section" was saved for each alias. [#2865]
- Admin: The error log was shown only to the superuser. [#2877]
- Saurus API: When creating a new object from the v-shaped context menu the "on_create" parameter did not pass values to the object editor dialog window. [#2868]
- Saurus API: When creating a new object from the v-shaped context menu the profile value did not pass to the object editor dialog window. [#2864]
- File manager: The files view was not visible when opened from the editor toolbar with Internet Explorer 7+. [#2871]
- Admin: Site properties page gave a "Home section not found!" error when the dictionary chosen had no associated site. [#2879]
- Minor bug fixes. [#2866, #2878]
- Security fix. [#2875]

4.6.3 [25 Sep 2009]

- General: Languages have now been separated into Sites and Glossaries:
	- Glossary contains all the language specific translations of CMS user interface strings, also those which are displayed to visitors.
	- Sites are independent websites within one CMS installation which can be for example represent different language versions of one logical website.
	- Each Site is tied to one Glossary which defines the translations used for public visitors. For CMS default user interface, you do not need to create a site any more - just set the default in list of Glossaries.
- Editor: The context menu which opens from v-shaped buttons can now be set to open by mouse click or hovering. The default is by clicking. You can set it from Admin > System > Configuration > Content Editing.
- Editor: The parent for links and comments can now be changed.
- Aliases: It is now possible to add alias to the special "Home" section which is the root section of a specific site. If defined, it is also shown in the alias trail. Set it in Admin > Sites > Site settings.
- Estonian ID card (additional module): When logging in with Estonian ID card a new CMS user can be created, if one doesn't exist for that person.
- Aliases: Links ended with slash "/" when friendly URLs were turned off. [#2859]
- Aliases: The section, album and article editors showed incorrect alias trail when the trail was configured not to be used. [#2861]
- Editor: Automatic unlock of objects did not work. [#2860]
- Editor: jQuery used by Editor's toolbar conflicted with existing jQuery in page template. [#2857]
- Statistics (deprecated module): SQL error about "stat_agents" was shown when viewing with Internet Explorer 8. [#2842]

4.6.2 [03 Jul 2009]

- Galleries: The album editor has been completely rewritten. You can now create albums without using File manager at all - just choose "New album" and mass-upload images. These images are later also accessible via File manager as new subfolder with the album name is created in the background. Alternatively, you can choose existing folder of images when creating an album as before. We also added human friendly URL to albums. 
- Editor: The v-shaped context menus have now a slight delay before opening.
- Aliases: All Saurus API tags now add slash (/) at the end of alias so instead of www.site.com/news your site URLs will now be in format www.site.com/news/. The old URLs without slashes still work as well. 
- E-mail Obfuscator: The UTF-8 multibyte characters did not display correctly. [#2838]
- File manager: When using single file upload, the special characters in filenames caused errors and thumbnails were not created. [#2853]
- Profiles: The context button for editing profile data did not work. [#2855]
- Saurus API: The "extension" and "fullpath" attributes were empty in {init_file} tag [#2856].
- Minor bug fixes. [#2854]

4.6.1 [03 Jun 2009]

- Editor: A completely reworked v-shaped context menus in editor's environment now work on all modern browsers and correctly position even near document edges. In contrast to clicking, the menus now open on mouse hover. For developers, it is possible to add custom actions to any menu: http://www.saurus.info/customising-buttons. The menu is packaged as jQuery plugin and can be downloaded and used under LGPL license in other projects as well: http://www.saurus.info/context-button-plugin.
- Article editor: CTRL + S key combination now saves the article.
- General: The SQL queries now use a database link identifier. This makes it easier to connect to other databases inside templates, custom Smarty functions and admin pages.
- General: The license verification process uses a proxy server if one is defined in the System -> Configuration options.
- E-mail Obfuscator: The UTF-8 multibyte characters did not display correctly. [#2838]
- Aliases: The underscore "_" character was not allowed. [#2833]
- General: Multipart e-mails were displayed incorrectly in some e-mail clients. [#2844]
- Saurus API: {init_articles} used a request variable "page" for paging without the explicit declaration of "rows_on_page" parameter. [#2789]
- Saurus API: Words "title" and "date" were translated in where and group parameters causing SQL errors. [#2187]
- E-payments: The module did not work without the E-Commerce module. [#2642]
- Statistics: Latest versions of Internet Explorer User-agent string length was more than the allowed space for it in the database. [#2842]
- Minor bug fixes. [#2841, #2843, #2846, #2852, #2834]

4.6.0 [30 Apr 2009]

- Filemanager: Completely new filemanager which features multiple file uploads.
- Article Editor: FCK Editor, the component we use for rich text editing, has been updated from 2.5 to the last stable version 2.6.4.
	- "Show Blocks" right next to the "HTML Source" button shows paragraphs and orher block elements with a visual box around them making editing easier.
	- There is now a "Normal" style selection available in the styles combo-box. This removes H1, H2, H3, pre etc styles.
- Aliases: The Alias or "Friendly URLs" module is now free and can also be used with the Free version of the CMS. Look here how to enable aliases: http://www.saurus.info/how-to-set-up-website-aliases-in-saurus-cms
- Admin section: The admin and editor toolbar and login screen section has recieved a facelift.
- Extensions: The "Saurus 4" extension has a new page template "Modern". This templates layout can be changed using only stylesheets.
- Extensions: The "E-mail Obfuscator" extension is now integrated into "Saurus 4".
- SSO: The SSO applications list has now a column that shows the applications ID.
- Glossary: Translations containing qoute characters (") could not be changed. [#2827]
- General: Tags {print_page_and_html} and {print_editor_toolbar} now appear only before the last </body> tag in templates. [#2825]
- General: The password remind e-mail headers were wrong on some mailers. [#2828]
- Article Editor: The "Paste" button showed 404 Document Not Found error. [#2812]
- Site search: The 4 character restriction was in place even if full text search was not used. [#2831]
- Saurus API: Tag {init_users} did not work with PHP 5. [#2832]
- Estonian ID Card: Login was denied when the person had non-Roman letters in their name. [#2839, #2483]
- Filemanager: In some cases renaming a folder duplicated the folder [#2662]	
- Filemanager: The folder are now in alphabetical order. [#2741]
- Minor bug fixes. [#2436, #2735, #2674, #2767]

4.5.8 [13 Feb 2009]

- File manager: The physical file names are now romanized with the same algorithm as we do with aliases. This happens when you upload a new file or perform a synchronisation. [#2808]
- Site search: Comments which were entered with the "Edit comment" window were not found using site search. [#2806]
- Profiles: Dates with 0 as value did not go through the date format check. [#2814]
- Custom assets: Fixed SQL error: "Unknown column 'pealkiri' in 'where clause'" with older improperly created asset profiles. [#2818]
- Mailing list: The protocol for site links in mailing list postings were always "http://" even if site's protocol was different e.g. "https://". [#2815]
- Aliases: Changing language did not work when the language change parameter was appended after the alias e.g. "/alias?lang=ee". [#2821]
- Feedback forms: The error page always showed "[error]" instead of field names with errors. [#2824]
- Minor bug fixes. [#2634, #2820, #2822, #2817]
- Security fix. [#2781]

4.5.7 [7 Jan 2009]

- Action buttons: the v-buttons now highlight under mouse-over for better usability.
- Action buttons: added border to the v-shaped graphics for better visibility, especially on dark backgrounds.
- Action buttons: the button for adding new objects which was displayed in format of "Add new v" has now replaced by a hyperlink "+ Add new" enabling of create new objects with a single click. 
- Built-in content templates in "Saurus 4" extension: now features "+ Add new.." links for making content creation more obvious.
- Admin: now opens a new Dashboard displaying quick links to all available tools.
- Users: By default, password for new users expired on 01.01.2009, this has been changed to current date + 5 years. [#2797]
- Users: The registration template (op=register) did not show password fields if the "username" field was not enabled in the users profile. Because of this users with expired passwords could not change their password. [#2793]
- Users: The expiration date of a users password couldn't be past 19.01.2038. [#2794]
- Users: The expiration date of users password in case of password renewal was set to expiration date + expiration interval, it is now current date + expiration interval. [#2800]
- Saurus API: The parent parameter of {init_files} tag did not accept multiple comma separated parent ID values. [#2803]
- Gallery: GIF and PNG files did not preserve transparency when resized. [#2782]
- Feedback forms: E-mail subject was not properly encoded. [#2795]
- XML Sitemap: The first level also showed links from the first level menu items. [#2785]
- Profiles: The "Get values from" selectbox contained all possible values from an ext_* table instead of values with specified profile as should. [#2801]
- Aliases: Numerical alias eg "www.site.com/12345" did not switch the language of the site causing the dictionary to return the wrong translations. [#2788]
- Minor bug fixes. [#2798, #2809, #2548, #2787, #2802]
- Security fix. [#2804]

4.5.6 [6 Oct 2008]

- Article Editor: There is now a radio button in the right pane for changing the publishing status of the article so you can publish new objects without having to use v-shaped action button.
- Section Editor: The checkbox "Published" in advanced options has been replaced with radio button and is now visible by default to comply with the new approach used in Article Editor.
- Action button: The checkbox "Hidden" has been replaced by commands Publish/Unpublish to comply with the terms used elsewhere.
- Action button now displays type name of the object it handles.
- Updates to some graphics styles in editing mode.
- Article and Section Editor: On some servers the automatic alias generation from title (introduced in version 4.5.3) did not work. [#2773]
- Aliases: If different languages had an object with the same alias and the languages were on different domains, then the first visit to that alias always showed the object from default language. [#2772]
- Aliases: Some words (folder names in the CMS installation) can't be used as an alias, but the automatic alias generation from title did not take that into account. [#2777]
- RSS: The RSS template in the "Saurus 4" extension now shows only the article's lead (if used) in the RSS output and links to the rest. [#2768]
- Extensions: Synchronising now deletes those extensions that have been deleted from file system also from the database. [#2228]
- Extensions: Custom admin pages that have been removed from the extensions configuration file are now deleted from admin menu also during synchronising. [#2579]
- Site search: Exact phrase search also found objects that had at least one part of the phrase in their keywords. [#2778]
- Profiles: You can now put the number 0 in a required profile field. [#2600]
- Saurus API: With PHP 5.x and Zend Optimizer 3.x calling {init_article} twice on the same article caused a fatal error. [#2771]
- E-payments: Payment bank links configuration was inaccessible if eShop module was unavailable. [#2642]
- Free edition: Scheduled publishing was unavailable. [#2776]
- Minor bugfixes. [#2539, #2664, #2666, #2731, 2779]

4.5.5 [28 Aug 2008]

- Article editor: New toolbar button "Insert HTML snippet" for adding Youtube videos, Google maps etc to your site.
- Blog: The blog template within "Saurus 4" extension did not show error message when the CAPTCHA string was incorrect. [#2750]
- Admin: Admin page "Help > Report a bug" shows an editable "From" field with user's e-mail. [#2765]
- Gallery: Images were resized incorrectly in case the image resizing settings were larger than the original image size. [#2465] 	
- Gallery: Images were not being generated when the image file size was larger than the PHP setting "upload_max_filesize". [#2766]
- Gallery: Images which filenames contained an apostrophe "-" were not displayed in galleries. [#2761]
- Feedback forms: If a form field began with a number followed by underscore "_" then the number and underscore were deleted the next time the field editing window was opened. [#2659]
- Aliases: If site languages were assigned to different domain names then a direct link from outside the website caused endless redirection error. [#2757]
- Profiles: Multiple select fields didn't work for "ext_" prefixed tables - only the value "Array" was stored. [#2598]
- Profiles: The technical field name and the field name in the database must always be in lowercase letters. [#2743]
- Profiles: Fixed sorting error on the admin page "System > Data". [#2572]
- Saurus API: Tag {init_images} did not order images according to filename. [#2758]
- Minor bugfixes [#2747, #2760, #2744, #2762]

4.5.4 [01 Aug 2008]

- Admin: Editor can now send us feedback on bugs, feature requests and about other issues through "Report a bug" page under the "Help" menu.
- General: When adding a Flash movie to the article, the editor button opened behind the movie element. [#1897]
- General: The editor toolbar and templates using jQuery library caused conflicts with other JavaScripts that implemented the $ function (eg: prototype.js, MooTools). [#2728]
- System requirements: The PHP setting "allow_url_fopen" is no longer required to be turned on. [#2523]
- Article editor: Better support for <object> tag (mostly used for Flash movies): article editor displays the object in WYSIWYG mode now and does not change the markup. [#2533]
- Article editor: When adding links to documents or to other content objects the link placed was relative and caused troubles for mailing lists and site relocation. [#2580]
- Article editor: Adding a lead/body separator caused loss of content in case article also contained Flash movies or other embedded content. [#2663]
- Gallery: Images with upper case filename extensions where not displayed. [#2752]
- Gallery: GIF images were not displayed. [#2754]
- File Manager: When adding a new file with Firefox 3 the first letter of the file was omitted from the file title. [#2733]
- Templates: In the "Master templates" page you couldn't choose an empty value for content template. [#2746]
- Aliases: Language alias "et" showed incorrectly error page "404 page not found". [#2742]
- Section editor: Old style "User defined" templates where not displayed in the template selection boxes. [#2748]
- XML export: When site encoding was UTF-8 and XML export encoding was set to UTF-8 also then the result was double-encoded. [#2753]
- Minor bugfixes. [#2751]

4.5.3 [07 July 2008]

- RSS: Saurus 4 extension contains a new page template that creates a RSS feed from the active section's articles. To use this option add parameter "op=rss" to the URL - eg www.yoursite.com/?id=12345&op=rss or if you're using aliases www.yoursite.com/newslist?op=rss.
- Blog: Saurus 4 extension contains a new content template for a simple blog with commenting, archive and RSS feed.
- Image gallery: Saurus 4 gallery template is improved by article's option, album view contains now also the album's description, image titles and editor buttons.
- Saurus API: Tag {init_articles} and {init_article} parameter "on_create" has been expanded to make the "Allow comments" checkbox ticked when creating a new article. Parameter "on_create" takes now two values (can be comma separated) "publish" and "allow_comments". See more in the Saurus API documentation.
- Sitemap: The default sitemap in the Saurus 4 extension now shows only sections by default.
- Recycle Bin: File and folder objects no longer go to the Recycle Bin when deleting from editor just like in the File Manager.
- File Manager: Thumbnails were not displayed for some images. [#2725]
- File Manager: When moving a file you could see the shared/ folder even if ACL module was not activated. [#2734]
- File Manager: When uploading a new file from the article editor then check for existing file was missing. [#2724]
- Aliases: Article and section editor always showed the alias with section trail. [#2726]
- Site Designs: Designs were not sorted alphabetically on the admin page. [#2718]
- Saurus API: In some cases with PHP 5.2.x the init_article tag's "title" attribute returned the title twice. [#2738]
- Saurus API: Tag {init_object} did not work with articles. [#2723]
- Saurus API: Tag {init_albums} didn't have the "folder_id" attribute. [#2722]
- Article editor: Saving an article always unpublished it. [#2719]
- General: Unpublished objects showed a blank content with no menus instead of 404 system article. [#2740]
- XML import/export: When XML file contained special charactes then in some cases XML import left out some spaces. [#2720]
- Installation: Installation and upgrade process failed in case PHP function shell_exec() was forbidden in the server - "Next" button was not displayed. [#2691]
- Minor bugfixes. [#2730, #2721, #2736, #2727]

4.5.2 [05 June 2008]

- Automatic aliases: article and section editors now automatically create human friendly aliases based on title text when creating new objects. In both editors you can also change the generated alias by activating it with a mouse click.
- Alias generator: there is now a new tool in admin/repair_database.php script which allows globally create aliases for all objects not having it.
- Redesigned section editor: most advanced attributes are now hidden when first opening this window. We also added a new Published checkbox which allows to change the publishing status right in the section editor.
- File manager thumbnail view: now also shows the file name.
- The editor toolbar was visible for logged in users who had no permissions for the content editing. [#2712]
- The e-mail notice sent to site administrator from FAQ-mode forum had a link to topic in website. It now links to the editor mode instead of site public view. [#2713]
- In the file editing popup, choosing a date from the calendar did not work. [#2710]
- Paste as plain text in the article editor did not work in certain situations. [#2715]
- When using long aliases the gallery image links were wrong. [#2705]
- Minor bugfixes. [#2711, #2707, #2708, #2694, #2717]

4.5.1 [08 May 2008]

- Article editor: we made things simpler for first time users by hiding most of the advanced stuff in text editing toolbar. So when you first open up any article you will face a toolbar with fewer tools and an option to switch to full view.
- Aliases: the format of human-friendly URL-s can now be configured. You can choose to use just alias like /great-news or display full trail from site structure eg /company/press-releases/great-news. In addition, you can define whether the language identifier is used eg /en/great-news, not used or used for all site languages which are not default. Check the Aliases section under Admin > System > Configuration for these new options.
- Saurus API: until now the ->href attribute of objects returned by init_section, init_trail or init_object output alias string when this module was switched on. We now added init_article, init_album and init_language to act in same way.
- MySQL: you can add into the config.php variable "mysql_set_names" with a MySQL character encoding value. This is useful when your database is in UTF-8 but the connection encoding is something else. When this variable is set the CMS performs SET NAMES = value command after connecting to the database, ex: SET NAMES = utf8.
- When PHP directive "short_open_tag" is off then adding picture into an article resulted JavaScript error. [#2687]
- Using long aliases prevents posting comments and feedback forms. [#2704]
- Custom admin pages in an extension did not show login dialog when user was not logged in. [#2679]
- News content template now sorts articles by date. [#2680]
- Article editors editing area shrinks when the profile has lot of fields. [#2682]
- Init_images tag returns empty pictures when using limit and there is not enough pictures to fill the start-limit range. [#2699]
- Site cache showed only one languages ?op templates when object ID was not defined. [#2055]
- Gallery uses now only GDlib to create images. [#2478]
- Non-superuser could not lock or unlock other users. [#2675]
- The editor toolbar has no styles when "Session lifetime (minutes)" has value. [#2692]
- Init_album tag's newbutton opens a blank popup. [#2695]
- The editing button (v shaped action button), did not work with Firefox 3. [#2702]
- Starting form PHP version 5.1.3 the text on the CAPTHCA image is unreadable. [#2703]
- If an object is forbidden for Everybody then the user role with permissions could not access that object. [#2552, #2701]
- Errors during installation: Updating database Can't open data file "admin/updates/update4.4.0to4.4.2.sql". [#2686]
- Non-superuser could not create new directories in the File manager even if he had full permissions. [#2689, #2690]
- Save_profile tag did not save new users. [#2693]
- The "XML data mapping" popup had several issues with selecting parent section. [#2696]
- Minor bugfixes. [#2697, #2698, #2668]

4.5.0 [04 Apr 2008]

- Editor Toolbar: we now introduce Saurus CMS toolbar which appears above the site contents and is visible for any logged in content editor. The toolbar is visible both in editing and public view mode and contains our selection of most usable tools previously known from Admin toolbar. You can configure the visible tools by changing admin_osa.show_in_editor flag in CMS database.
- Article Editor: FCK Editor, the component we use for rich text editing, has been updated to last stable version 2.5. This brings tons of bugfixes including greater compatibility between different browsers. For example, inserting new line now behaves same way in Firefox and Internet Explorer by inserting paragraph (<p>) for Enter and new line (<br>) for Shift-Enter key.
- Article Editor and Section Editor: mixed approaches like popup windows and drop-down lists have been replaced by Site Explorer in parent object selections.
- File Manager: includes new thumbnail view.
- Content templates: the gallery template which in "Saurus 4" extension now opens full-sized images using Lightbox method instead of popup windows. [#2654]
- Content templates: CAPTCHA which was previously available as separate free extension, is now included into "Saurus 4" extension. To turn on CAPTCHA protection in article comments and forum postings, change the value "Use CAPTCHA verification for comments and forums" in Admin > System > Configuration.
- Admin toolbar: now resorted by moving daily tools left-top and system settings right-down.
- Site title and slogan: these are new values in Properties > Site properties page to allow end-users more easily customize design templates. The default page template which ships with installation in "Saurus 4" extension has been updated to use these values. These values are site language specific. In API, use appropriate {$site_name} and {$site_slogan} tags.
- Page-end HTML: this is another new value in Properties > Site properties page and is primarily meant for entering Google Analytics JavaScript code. Whatever entered here, will be placed before </body> tag in page output. This value is site language specific. There is no need to use API, instead it is inserted to page output by CMS automatically.
- Time zone: scroll down in Properties > Site properties, there's now a time zone selector which can be handy if your site logical time zone differs from server time. This value is global for all site languages.
- Site design: this new page in Admin > Properties allows user to switch site default page and content templates with a single click. For your extension to be listed here, add 'is_default' flag to page template description in extension.config.php. Optionally, you can add same 'is_default' flag to one of the content templates and it would be nice to add template thumbnail and preview images by using 'preview', 'preview_thumb' too. See "Saurus 4" extension.config.php contents for sample.
- Extension upload: yes, extensions can now be uploaded in both Properties > Site designs and Extensions > Extensions pages after which sync is automatically executed. All you need is pack your extension using ZIP. You can include extension folder or compress just files on root, both approaches work fine.
- Extension download: you can download them from Extensions > Extensions as ZIP package if the author has enabled downloading option 'is_downloadable' in extension.config.php file. See "Saurus 4" for example.
- System configuration: this page has been heavily resorted and organized, also some values previously known from Properties > Site properties page has been moved here.
- Estonian language selector: for historical reasons, we have been using 'ee' as site language change parameter instead of 'et' which would be correct by international standards. Now the product treats them as being same, also we will ship all future full install packages with 'et' as default value.
- Asset editor: now includes 'New' button to allow you create new object without closing the window.
- Aliases: heavily redesigned. Now following URL schemes will work:
	- sitename.com/en/ - Displays English homepage. If there is a different domain specified for English language, redirect to domain root will occur. 
	- sitename.com/section/section/object - Displays object if all given sections exist in object's parent tree.
	- sitename.com/object - As previously, this still works.
	So the URL can be made of site.domain/[subdirectory]/[language selector]/[[section alias]/../[section alias]]/object-alias.
	Alias values can not contain slash (/). In current version, the CMS still outputs aliases using simplest pattern sitename.com/object, but this will become configurable in near future versions.
- Site performance: turning on Gzip option now compresses styles.php in addition to index.php. [#2648]
- API: {$title} tag now has alias {$meta_title}
- API: new tag {$template} which can be used to get info about current page- or content template:
	- {$template->id}
	- {$template->title}, {$template->name}
	- {$template->op}
	- {$template->extension} - extension the template belongs to
	- {$template->all}
	See more in the Saurus API documentation.
- API:  new tag {init_users} with parameters
	- name - variable name where the returned data is saved. Default value is 'users'.
	- parent - group ID value, optional.
	See more in the Saurus API documentation.
- API: {init_files} now have new parameter parent_dir which can be used to give relative path to location of files eg 'public/documents'. This value has higher priority than 'parent' parameter.
- {init_articles profile="profile_name"} did not filter by profile name. [#2406]
- File manager created image thumbnails using Imagemagick. Now rewritten to use GDLib. [#2660]
- Inserting lead/body separator inside a tag in Article Editor caused HTML to break when only lead or body was displayed in page output. [#2496]
- File extension was incorrectly output in init_documents when file name contained more than one dot. [#2509]
- Deleting more than one parent in Article Editor did not work. Only one parent was moved. [#2605]
- Articles which were included in more than one mailing lists were sent out in multiple copies. [#2639]
- Voting in polls did not work in newer PHP versions. [#2672]
- Optimized the number of extension.config.php files read during page display. [#2643] 
- Search and Replace did not work with words that included brackets. [#2669]
- Adding comments was permitted only for aricles, forum topics, comments and sections. Now you can add comments to all content objects, including assets. [#2656]
- {print_box} did not display "article lists". [#2647]
- Adding language parameter to a content-object view now forces that object to be shown in that language. [#2661]
- {save_profile} didn't save if parameter "parent" was defined. [#2649]
- In the custom asset window the Apply, Save and Close buttons where pushed behind the edge of the window in Internet Explorer. [#2650]
- {save_profile} used wrong permissions when parameter "parent" was defined. [#2651]
- In the Article Editor the selection box for article parents pushed the Save button behind the edge of the window when section tree and names were long. [#2497]
- In editor view most links took the non-superuser editor to the public view. [#2670]
- The Permissions page deleted group permissions when saving a users permissions. [#2640]
- You couldn't save template in the admin section even if PHP tags were allowed. [#2653]
- Adding a data field to the XML mapping did not work with PHP5. [#2658]
- Security fix. [#2678]
- Minor bugfixes. [#2645, #1673, #2646, #2671]

4.4.8 [23 Jan 2008]
  - Calendar: The built-in calendar now uses jQuery based UI Datepicker.
  - Mailing list: A new option to send mailing list mails for each subscribed section or for each article.
  - General: JavaScript files in the js/ folder and CSS files in the styles/default/ folder are now compressed.
  - Saurus API: The API functions are now packaged as Smarty plugins and are included as needed by Smarty engine.
  - Saurus API: {init_documents} tag failed to upload files in PHP5. [#2633]
  - File manager: The "-" was being replaced with "_". [#2623]
  - Users: The e-mail field is now included in the search on the "People" admin section. [#2625]
  - Saurus API: {save_profile} tag saved double fields when the field was in the profile and in the additional parameters. [#2626]
  - File manager: Admin folder was being synchronised with the database in PHP 5.1. [#2635]
  - WYSIWYG editor: Saving caused an empty <p> tag to appear in the beginning of an article. [#2545]
  - Permissions: Section not available to Everybody group was shown as missing (404) instead of displaying a login dialog. [#2581]
  - Users: FILE type profile field did not work in the user editing dialog. [#2619]
  - General: Changing language fails when the session can't be established (no cookies allowed). [#2621]
  - Security bugfix: [#2622]

4.4.7 [14 Dec 2007]
  - Users: "Remind password" e-mail can now be customised in system glossary.
  - Admin: Language settings page has been redesigned.
  - Profiles: When profile field name had capital letters the saved values where not displayed. [#2560]
  - Profiles: In selection fields, the custom assets were not in alphabetical order. [#2611]
  - General: Recycle bin did not keep objects for the defined days. [#2602]
  - Saurus API: Tag {save_profile} did not give any error message when registering with an existing user name. [#2608]
  - Saurus API: Tag {init_profile} displayed incorrect date values when saving caused errors. [#2616]
  - Saurus API: Tag {init_picture} printed out html tag </a> after <img> tag. [#2612]
  - Saurus API: Tag {init_calendar} calendar HTML did not fill the month's last week empty cells. [#2615]
  - Saurus API: Multiple bugs in tag {save_profile}, there was no answer when overwriting data with the same data, some fields were not saved. [#2604]
  - Admin: Template parameters could not be saved in the template editor if the template file had no writing permissions. [#2595]
  - XML: When importing the articles, assets or events then updating did not update the object's title. [#2606]
  - Installation: The updating messages left a large blank area on the screen. [#2609]
  - Security bugfix: [#2573]

4.4.6 [15 Nov 2007]
  - Saurus API: Tag {save_profile} new parameters "parent" and "on_create". See more details in Saurus API reference.
  - Statistics: You can now see up to 200 recent visitor information.
  - Bugfix: Mailinglists: Mailing list boxes were always shown in the user interface even if the license did not include Mailinglists. [#2590]
  - Bugfix: Profiles: When creating a new Custom Asset the title field was not created automatically, but was shown. [#2594]
  - Bugfix: Saurus API: Tag {save_profile} didn't save data when the profile was set for CMS content object. [#2596]
  - Bugfix: Saurus API: Tag {init_mailinglist} output repeated the last option in the list with PHP5. [#2601]
  - Bugfix: File Manager: When changing a file and the new uploaded file had the same name, then the file got deleted. [#2576]
  - Bugfix: File Manager: PHP function mime_content_type() has been deprecated and some distributions have omitted this function from PHP. [#2494]
  - Bugfix: Security fixes: Removed outdated AdoDB library.  [#2603]
  - Minor bugfixes: [#2591]

4.4.5 [30 Oct 2007]
  - New feature: Error notifications: Simple e-mail alerts are sent out every hour about errors that have been logged in Site log. There is a new set of configuration values for this in the admin section on the "System > Configuration" page named "Error Notifications".
  - Bugfix: Admin: Image manipulation language selection on opening is now the admin section language. [#2551]
  - Bugfix: SEO: On language change the friendly URL no more changes. [#2577]
  - Bugfix: Admin: Languages > Language settings page included site styles. [#2583]
  - Bugfix: File manager: When changing a file and uploading a new file, the old file did not get deleted. [#2586]
  - Bugfix: Admin: In System > Data page profile type FILE broke HTML. [#2567]
  - Bugfix: General: The password remind page's HTML did not validate. [#2582]
  - Bugfix: RSS extension: Calendar pop-up gave JavaScript errors. [#2585]
  - Bugfix: File manager: 0 byte sized files were not accepted as valid uploads. [#2589]
  - Bugfix: SEO: init_objects, init_object and init_trail tag href attribute did not show friendly URL's. [#2578]
  - Bugfix: Profiles: Get values from drop-down did not show active profile nor article headlines. Additionally the list is now sorted alphabetically. [#2565]
  - Bugfix: Languages: When the language file was not encoded in ASCII, the translations were imported into Estonian. [#2566]
  - Bugfix: Templates: Built-in templates page showed incorrectly ADR templates. [#2568]
  - Bugfix: Profiles: SELECT fields did not show article headlines. [#2570]
  - Bugfix: SAPI: save_profile overwrote user's group to Everybody.
  - Bugfix: File manager: When changing a file and the new uploaded file had the same name, then the file got deleted. [#2576]
  - Bugfix: Static Export extension: Image gallery had wrong paths to the images. [#2584]
  - Bugfix: Templates: content templates in different extensions with the same name were displayed incorrectly. [#2475]
  - Bugfix: File manager: Synchronizing deleted all the files from subfolders. [#2563]
  - Bugfix: General: unpublished documents were accessible through direct link. [#2587]

4.4.4 [25 Sep 2007]
  - New module: "E-payments". This is a part of E-commerce functionality which allows to create, sign and verify e-payments. Currently supported: Sampo Bank, SEB Eesti Ühispank, Eesti Krediidipank, Hansabank, Nordea Bank and Credit Card payments via ESTCARD.
  - New e-payment type in E-payments: Credit Cards via ESTCARD. Allows to make payments with major credit cards via ESTCARD.
  - NB! Resolving wrong default position issue in the past: during version upgrade all sections' position values 9 and 5 will be converted to 0. To avoid backwards compability problems, version upgrade checks actual position values used in all Saurus API templates and displayes red warning messages in case of possible problems. The converted object ID values will be logged in the Site Log after the update is completed. [#2546]
  - Bugfix: Article Editor: Inactive profile field were being overwritten with blank values when saving. [#2553]
  - Bugfix: Permissions: Role permissions did not override group Everybody's permissions as should. [#2552]
  - Bugfix: General: op=remindpass showed license type and version number in the page title. [#2558]
  - Bugfix: General: ERROR 1071: Specified key was too long; occurred when database dump was read with -default-character-set=utf8 parameter. [#2559]
  - Bugfix: File Manager: Minor PHP warning: array_merge(): Argument #1 is not an array in ../classes/objekt.class.php on line 342. [#2562]
  - Bugfix: File Manager: The synchronisation did not make the file names file system safe. [#2549]
  - Bugfix: General: The {.._newbutton} in {init_section} return created a new section in position 9. [#2546]
  - Bugfix: ADR Extension: Editors could not delete ADR documents manually. [#2547]

4.4.3 [5 Sep 2007]
  - Saurus API: New tags {init_profile} and {save_profile} for loading and saving profile values. Profiles can be assigned to CMS content objects, assets, users, user groups or custom data objects. See more in Saurus API reference.
  - Saurus API: New tags {init_sso} and {save_sso} for loading and saving user's Single Sign On info. See more in Saurus API reference.
  - Saurus API: New tag {save_mailinglist} for saving user's mailinglist subscription info. See more in Saurus API reference.
  - Saurus 4 extension: Default content template "User registration" redesigned to use new flexible Saurus API tags and abandon old tag {print_users_form}. This template is included in "Saurus 4" extension.
  - eShop: Bank Connection module can now make payments to Nordea Bank.
  - eShop: New configuration values on admin-page "E-commerce > Configuration": in group "Bank payments" can now set file paths for e-banking secret key and signing programs. New configuration groups for each Bank included in eShop module: Sampo Pank, SEB Eesti Ühispank, Eesti Krediidipank, Hansapank, Nordea Pank.
  - Languages: New field "Locale" in admin-page "Languages". Locale values are pre-filled for existing languages being also freely modifiable for administrators. Values are used in article's editor. [#2528, #2531]
  - Languages: Added new languages: Belarusian, Bosnian, Filipino (Philippines), Dari, Luxembourgish, Romanish, Romanian, Syriac. [#2532]
  - Profiles: Profile field's default value can now be taken also from external tables data. Profiles are defined on admin-page "System > Profiles".
  - Profiles: Improved a new table creation process on admin-page "System > External tables": required fields "id", "name" and "profile_id" are created automatically for each table, allowing better profile support for external/custom data.
  - System sections got new names [#2526]:
	EN: Home => Site, System section => System
	ET: Kodurubriik => Sait, Süsteemirubriik => Süsteem 
  - ADR extension: Data request is sent as e-mail attachment from now on.
  - Bugfix: User interface: Password reminder didn't display any message after sending a new password. [#2512]
  - Bugfix: User interface: Fixed Firefox style issues for checkboxes and radio buttons in MacOS X. [#2524]
  - Bugfix: Saurus 4 extension: Default content template "Sitemap" fixed to valid HTML (<li> and <ul> mix-up). [#2544]
  - Bugfix: Saurus 4 extension: Default content templates "Documents" and "Forum: topic view" printed out an extra </div> tag. Bug starting from version 4.3.4. [#2543]
  - Bugfix: Users: Field "created_date" was left empty after a new user registration. [#2508]
  - Bugfix: General: Reversed version 4.3.1 bugfix "The content objects were sorted first by position and then by sorting number, the position is ignored from now on". It caused lots of unlogical behaviour in auto-jump feature and the previous logic got restored. [#2418]
  - Bugfix: Site log: Website's automatic processes were assigned to logged in users instead of "system" user in some cases. Bug occurred when page load processes were triggered by logged in users or editors. Bug starting from version 4.3.4. [#2534]
  - Bugfix: SEO: A line break in Meta-info fields caused Javascript error and disabled the input field. [#2527]
  - Bugfix: SEO: Fields "Meta-keywords" and "Meta-description" swap and style issues on admin-page "Properties > Meta-info". [#2540]
  - Bugfix: Saurus API: Tag {init_assets} didn't display SELECT field value in PHP5. [#2530]
  - Bugfix: Search: Security fix in search, search string containing " having actual results caused SQL error in Error Log. [#2542]
  - Bugfix: Glossary: Language file import failed on Windows line breaks. [#2397]
  - Bugfix: Admin: Fixed New-button style issues in Mozilla Firefox on some admin-pages. [#2538]
  - Bugfix: Installation: Improved error page "Please go back and change default password..." [#1440]
  - Minor bugfixes: [#2535]

4.4.2 [16 Jul 2007]
  - ADR module: Data Request form has now a configurable CAPTCHA.
  - Saurus API: Tag {init_objects} has a new parameter "parent_system_alias" which allows to get objects from a specified system alias like "home", "system" etc.
  - Bugfix: Sitemap: The default sitemap template showed only section objects on the first tree level. [#2515]
  - Bugfix: Extensions: Admin page menu item translation was only added to English glossary. Now the admin page name is added to all active languages glossaries. [#2229]
  - Bugfix: Admin: Firefox showed abnormally high check boxes and radio buttons under MacOS X. [#2524]
  - Bugfix: Saurus API: Tag {init_events} did not recognise "on_create" parameter. [#2518]
  - Bugfix: Statistics: Pages and Page details showed incorrect (1) number of visitors. [#2522]
  - Bugfix: General: Firefox showed an error "Page is not redirecting properly". This only occurred when site had different domains for different languages and the page accessed was not in the default language. [#2519]
  - Bugfix: General: Sometimes the first object opened on the site was an article which caused the auto-jump feature not to work. [#2418]

4.4.1 [28 Jun 2007]
  - New tool "Site Explorer" (in beta) under Tools section gives a full overview about the site content.
  - New feature Password Strength Check: new configuration option "Check for password difficulty (Y/N)" under Site Properties allows to require more secure passwords from users. If turned on users must enter a password that contains at least one upper case letter, at least one number and is at least 8 characters long, when prompted for password change.
  - The Admin > Tools menu as been re-sorted to allow easy access to the most used items.
  - The common object field "date" has been changed from date to datetime format.
  - Bugfix: Editor:  Custom configuration values attached to the section were always overwritten with empty values when section was opened and saved in the editor window. [#2506]
  - Bugfix: Article Editor: Feedback forms where incorrectly verified when field name contained an underscore "_". [#2493]
  - Bugfix: Article Editor: With MySQL 5 it was impossible to save one article to the multiple sections. [#2505]
  - Bugfix: Permissions: In the File Manager the permissions Copy to subtree button didn't work. [#2309]
  - Bugfix: General: Unpublished object showed old 404 fix PHP template, when directly accessed from public area. [#2498]
  - Bugfix: Users: The Registration Form template didn't save mailing list options. [#2507]
  - Bugfix: Extensions: Templates with the same name in different extensions were conflicting and didn't show properly. [#2475]
  - Bugfix: File Manager: File Manager synchronised all files into wrong language. [#2513]
  - Bugfix: Estonian ID Card: Estonian ID Card module sometimes falsely announced that used card was not authentic Estonian ID Card, problem occurred when the person had non-Roman letters in their name and was due to a bug in Apache mod_ssl module that didn't handle UTF-8 characters correctly. [#2483]
  - Bugfix: Bank Connections: Bank Connection didn't verify SEB Eesti Ühispank authentication query response, due to a change in SEB Eesti Ühispank e-payment system. [#2514]
  - Bugfix: Bank Connections:  Bank Connection didn't redirect on response if the query was submitted to Sampo Bank. This was due to a change in Sampo Bank e-payment system. [#2510]
  - Bugfix: ADR: ADR module didn't import attached files with non-Roman character if the site encoding was other than ISO-8859-1. [#2511]
  - Security enhancements [#2501], [#2502]

4.4.0 [11 Apr 2007]
  - Support for MySQL 5.0 added, support for MySQL 3.23 dropped. See more information in our support forum.
  - Support for PHP 5.2.1 added.
  - Saurus API: New tag {init_files}. See more in Saurus API reference.
  - System Requirements: PHP mbstring support requirement added.
  - Bugfix: Saurus API: Search didn't work correctly in PHP5 (since Saurus version 4.3.1) [#2495]

4.3.6 [28 Mar 2007]
  - Statistics: New statistics page "Files" for gathering information of the downloaded files. Only files downloaded through file.php are included in stats.
  - HTTPS support reworked. The current protocol of the browser - either HTTPS or HTTP - is always considered to be correct protocol of the website from now on. Previous configuration value "Protocol of the website" is renamed to "Protocol of the public website". Additionally you can now force editor and admin area to use HTTPS with "Force HTTPS for editor environment" and "Force HTTPS for admin environment" configuration values.
  - A loop guard checks for endless loops in the parent-child relations of the CMS objects and leaves a site log entry if found any.
  - Bugfix: Extensions: Templates with the same name, but belonging to different extensions got mixed up when displayed. [#2475]
  - Bugfix: Editor: If section used a hidden template, then opening the section editor window and saving removed the template. [#2287]
  - Bugfix: Mailinglists: Incorrect mail headers caused encoding problems on *nix servers using Postfix. The problem was in newline symbols: \r\n vs \n, RFC says that mail headers have to end with \r\n, but Postfix converts \r to \n. [#2484]
  - Bugfix: Saurus API: Tag {init_assets} didn't use "buttons" parameter. [#2492]
  - Bugfix: Article editor: You couldn't use "_" character in feedback form field names. [#2493]
  - Bugfix: Statistics: Statistics didn't save searched strings. Bug from version 4.3.1. [#2488]
  - Bugfix: File Manager: The "shared" folder didn't show subfolders in File Manager. [#2489]
  - Bugfix: File Manager: The "shared" and "public" folders kept disappearing from the CMS object tree (which made moving files in File Manager impossible). [#2490]
  - Bugfix: File Manager: When adding a new file the profile was not saved and file object was saved in current language. [#2491]
  - Bugfix: General: You could add comments to unpublished articles. [#2373]
  - Bugfix: Search and Replace: Search and Replace tool stopped working after beta version 4.3.5. [#2485]
  - Bugfix: ADR module: Document search didn't find correct search values from the field "info". [#2486]

4.3.5 [16 Feb 2007]
  - Security: CMS default parameters like id, op, search, tpl, etc are checked for XSS attack vectors.
  - File Manager: Added confirmation message before overwriting an existing file.
  - Article editor: When adding a file link into the article, the target is set to "_blank" by default.
  - Languages: Removed informational parameter "langchange=1" that was added to the end of URL during site language switch. This was not consistent with SEO features.
  - Improved site logging and Site log view which now has relevant Object ID as a column.
  - Bugfix: Mailinglist: Mail headers (including subject) were not correctly encoded into the US-ASCII character set. [#2471]
  - Bugfix: Extensions: The same template name in two or more different extension caused incorrect behaviour during template parsing. [#2475]
  - Bugfix: Site search: Search included sections that were hided in menu. Bug occurred from 4.3.1. [#2477]
  - Bugfix: Commentboard: Link inside the comment e-mail refered to the topic instead of comment.
  - Bugfix: Action button graphics sometimes displayed (depended on site layout) double down arrows.
  - Bugfix: Saurus API: Tag {init_folders} parameters "parent" and "parent_id" didn't function. Bug occurred from 4.2.4. [#2481]
  - Bugfix: Statistics: Improved statistics gathering performance during pageloads. [#2476]
  - Bugfix: Install: Version upgrade script intall.php hanged in case GD lib was not installed in the server. Saurus CMS 4.3.0 Full Package and Check Requirements script are also patched. [#2480]

4.3.4 [24 Jan 2007]
  - Users: New feature locks inactive users who have not logged in during fixed time period. Time period can be adjusted  by configuration variable "Lock inactive user after x days". Value 0 turns automatic locking feature off. Find the value from Admin > Properties > Site properties > Persons section. 
  - Statistics: New page "Users" gives the statistical overview of all logged in users' activities. The counted activities are creating, modifying and deleting site content objects, also logging actions. The statistics summarizes users' week activities and displays detailed information about affected content objects for each user.
  - Site log: Entire site log engine is re-designed to save more detailed information about the various activities on the website and to simplify custom site log calls needed for developers (see details on our support website).
  - Saurus API: New parameter "group_id" for tag {print_users_form} saves registered user into the given group, default is group "Everybody".
  - Templates: Auto jump feature that was removed in version 4.1.0 (#2233) has returned to the spotlight. Vox populi, vox dei. [#2470]
  - Bugfix: Languages: When deleting one language on the adminpage "Languages" the whole website with that language was sent to the Recycle Bin. The bug occurred only in case a system section "Recycle bin" was missing. Bug starting from beta version 4.3.2. [#2472]
  - Bugfix: Languages: All translations in the admin area disappeared in case of only one language was left in the site.  [#2460]
  - Bugfix: Site search: Published articles located in the unpublished sections were included in the search results. [#2466]	
  - Bugfix: Users: The error messages were in the one continuous row on the page displayed after invalid registration from submission. [#2459]
  - Bugfix: Users: Locked users could still log in via Bank authentication and ID card authentication. [#2461]
  - Bugfix: Users: Wrong system message was displayed after a login attempt of the locked user. [#2462]
  - Bugfix: Saurus API: Tag {init_events} returned only last event, bug appeared only in PHP5. [#2463]
  - Bugfix: Templates: The template parameter "op" was incorrectly overwritten during extensions synchronisation routine. [#2464]	
  - Bugfix: Security: A revealing PHP error message was displayed when database connection was lost. Now only message "Error! Can't connect to database!" is displayed. [#2468]
  - Bugfix: Installation: The permission check for file config.php corrected a bit, it works in CGI environment better now. [#2467]

4.3.3 [22 Dec 2006]
  - Saurus API:  new parameter for "init_search_results" API tag: use_fulltext. If equals 1 the MySQL full-text search capabilities are used otherwise simple LIKE search is performed. Defaults to 0.
  - Bugfix: Saurus API: "init_images" tag could only be used once on single page. [#2446]
  - Bugfix: Saurus API: "init_asset" tag did not return values if fields where mapped version 3 style field_name => varchar_x. [#2455]
  - Bugfix: Site search: Full-text search doesn't work with multi byte characters, use LIKE search for those languages, see "init_search_results" documentation. [#2450]
  - Bugfix: File Manager: Search for unused files in File manager was always on after initial search. [#2452]
  - Bugfix: Article editor: Paste from Word pop-up in WYSIWYG editor doesn't have any more 'Clean' button, caused a lot of confusion. [#2453]
  - Bugfix: Article editor: When presented multiple choices after clicking New button, the WYSIWYG editor pop-up window was very small. [#2297]
  - Bugfix: Article editor: WYSIWYG editor didn't have the option to change articles position. [#2401]
  - Bugfix: Article editor: Domain name was included in the file link, it is removed now. [#2301]
  - Bugfix: Admin: Added a new ID column and search feature on adminpage "Templates", search is performed from template name and file name. [#2405]
  - Bugfix: Admin: The templates page in Admin section received a filter drop-down, filter the templates based on Extensions. [#2448]
  - Bugfix: Mailinglist: headers have now Content-Transfer-Encoding: quoted-printable = 8bit. [#2445]
  - Bugfix: Profiles: You couldn't put HTML in profile fields. [#2428]
  - Bugfix: XML import/export: XML Export did not work under some rare cases. [#2447]
  - Bugfix: ADR extension: XML Stream pop-up did not have DocLogix options. [#2449]
  - Bugfix: ADR extension: ADR extension did not send correct messages if site was in the UTF-8 encoding. [#2444]
  - Bugfix: Installation: Fixed bug for Free editions.
  - Minor bugs: [#2409]

4.3.2 [23 Nov 2006]
  - Site Search: Article's default profile now has new field for keywords by which the article is ranked higher in search results. The keywords field is added during version update but remains hidden until you switch it active in Admin > System > Profiles.
  - Site Search: The results are now ordered by relevance in quick search. [#784]
  - File Manager: You can now choose multiple files for deletion and move. Please note that this does not change the possible links from articles to these files. Delete or move files only when you are sure that those are not used in site content. [#2274]
  - File Manager: The file search now also checks editor names who created or changed the files.
  - Article Editor: Created and Modified timestamps and user names are now visible in right pane.
  - eShop: Bank Connection module can now make payments to Estonian Krediidipank.
  - Bugfix: File Manager: When inserting a picture into an article the width and height parameters were not always filled. [#2220] 
  - Bugfix: File Manager: Search function showed errors when file or folder object profile contained fields that were in 'objekt' table. [#2435] 
  - Bugfix: File Manager: When inserting a file from 'shared' folder into an article, the inserted link was a direct link instead of 'file.php?FILE_ID'. [#2217] 
  - Bugfix: Section Editor: Show sub articles and Show tool icons are only visible when using fixed PHP templates from version 3. [#2420]
  - Bugfix: Site Search: The search results template didn't have a button to edit the error message article. [#2422]
  - Bugfix: Sitemap: Sitemap didn't show correctly the site structure in some cases. [#2429]
  - Bugfix: Recycle Bin: Optimizations regarding the deletion of old items from Recycle Bin. [#2430]
  - Bugfix: Languages: When adding a new language the default encoding is now UTF-8. [#2404] 
  - Bugfix: Languages: {$lang} was in capital letters except for Estonian and English languages. [#2440] 
  - Bugfix: Languages: {sys_word} didn't work correctly in some server configurations and with certain group names. [#2426] 
  - Bugfix: Extensions: Synchronizing showed an error when there was no 'install' folder in that extension. [#2442] 
  - Bugfix: Statistics: Overview page showed different stats than detail view. [#1457] 
  - Bugfix: eShop: Monetary fields could only contain maximum value of 999.99. [#2443] 
  - Bugfix: Saurus API: {init_object} did not return the object if it was article, document or image type object. [#2433] 
  - Bugfix: XML export: Saving "Run with cron" and "Active" settings did not work. [#2434]

4.3.1 [1 Nov 2006]
  - Article Editor: automatic image resizing is now possible when inserting images into article text. Resizing is done according to pre-defined templates which set the maximum width of image. Templates define name (eg. "Half page width") plus width in pixels and can be defined from Admin > Properties > Site properties.
    When inserting images into article text from File Manager, the user can choose from all templates which associated width is smaller than the original image (image dimensions can not be expanded, only reduced).
    New resized image is generated into .thumbnails folder, original image is preserved.
  - Site Search: changes and improvements:
	- Search algorithm relies now on MySQL Full-Text Search functions.
	- Site search performs a natural language search returning better matches from site content.
	- Major speed improvements for large datasets.
	- Result pages now show a text in which the search string is found.
	- Result pages now highlight searched strings. 
	- You can no longer search strings with less than 4 characters.
	- You can no longer search for string beginning by default, only full word.
	- You now have to use * at the end of words to search for string beginning in advanced search.
  - Due to site search re-design the Saurus API tag {init_search_results} loses some backwards compability: most of the old parameters are deprecated, more convenient new parameters and attributes are available. Version upgrade checks against the possible backwards compability issues and dislpayes warnings during first step of upgrade.
  - Extensions Manager: Developer can now include custom Smarty pre-, output- and postfilters to the extension templates. Prefilters are used to process the source of the template immediately before compilation. Postfilters are used to process the compiled output of the template (the PHP code) immediately after the compilation is done but before the compiled template is saved to the filesystem. Output filters operate on the template output when it is executed. See more details about filters logic in Smarty manual and about filter inclusion in Saurus API manual.
  - Extensions Manager: new functionality in the synchronization routine: run all .sql files found in extension's folder "install/". This feature is especially useful for developers allowing to execute custom SQL queries during installation of a new extension.
  - Bugfix: Saurus API: Username field was not displayed in {print_user_form} tag for logged in user, now the read-only field with username value is shown. [#2414]
  - Bugfix: General: The content objects were sorted first by position and then by sorting number, the position is ignored from now on. [#2418]
  - Bugfix: Extension Manager: Improved synchronization routine in case of copy-pasted extension folders. Also fixed minor errors on Extensions adminpage. [#2380]
  - Bugfix: Extension Manager: CMS permissions check for custom admin pages didn't work correctly in Windows server environment. [#2364]
  - Bugfix: Cache: Fixed security issue. [#2407]
  - Bugfix: Estonian ID card authetication: added target url for page redirection. [#2415]
  - Bugfix: User permissions / ACL: Added System section to the admin-page "Organization > Permissions". [#2413]
  - Bugfix: Bank connections: Payment module used only POST method for automatic bank replies, now both GET/POST methods are supported. [#2412]
  - Bugfix: Admin: User defined messages (articles) having non-empty sys-alias field were not displayed on adminpage "Languages > Language settings".

4.3.0 [29 Sept 2006]
  - Site Explorer
    Explorer is a new tool for displaying and searching the site hierarchy. It opens from article editor where you can see a new button for inserting local links. When you select anything inside article, it will become a link to the target content object. In case there is no selection, a target object title will be inserted as a link.
    In upcoming versions, the Site Explorer will replace various input elements where you can currently choose parent sections.
  - Inserting pre-defined HTML into article
    Since this version, when you choose an .html file in File Manager, a link was created inside article. We changed this behaviour so that when you do not have anything selected, the contents of this file is inserted to the cursor position. You can for example create a folder holding files with HTML fragments of various tables or other article templates. If you had anything selected before opening File Manager, it would become a link to the .html file instead.
  - Change in inserting links from File Manager
    The user logic described in previous section now also works with images and Flash files: when you have anything selected, it will become a link to this file. If there is no selection, an image or Flash object is inserted into the cursor position.
  - Feedback forms overview
    This new tool gives you an overview of all articles in the website which include a feedback form. It also displays the e-mail addresses of receivers, contains search and gives you an opportunity to open the articles right from the list. Although, the overview only displays forms (re)saved after upgrading to version 4.3.0.
    Check under Admin > Tools > Feedback Forms. 

   These new features are included in all packages including Saurus CMS Free, Saurus CMS SE and Saurus CMS.

  - Bugfix: Installation: During full installation, the files are no more located in /web subdirectory but in the root instead. This removes the need to move all files up one level.
  - Bugfix: Installation: Saurus CMS does not depend on PHP magic_quotes_gpc setting value any more. Either your server settings set it to ON or OFF.
  - Bugfix: Article editor: Changed the order of form field buttons in toolbar. More common elements are now at the left side. [#2400]
  - Bugfix: File manager: Fixed overhead problem occurring in case of large number of folders.
  - Bugfix: Site languages: Master page template is now automatically assigned when creating a new site language. The assigned page template is the first found in database. [#2396]
  - Bugfix: Site languages: We now skip an active site language check when displaying folders, files and resources. This fixes among others the following problem: when displaying an image using Saurus 4 file based gallery, the site language was changed. [#2398]
  - Bugfix: Saurus API: New attribute "hide_in_menu" for tag {init_trail}
  - Bugfix: Saurus API: Tag {init_images} _counttotal attribute returned always zero value. [#2403]
  - Bugfix: Aliases: File "map" has been duplicated with "map.php" for more easy configuration of alias rewrite rules.
  - Fixed minor bugs: [#2385]

4.2.4 [8 Sept 2006]
  NB! In case you have made custom modifications to the triggers file "extensions/actions.inc.php", you should create a copy of it BEFORE updating and name it "actions_custom.inc.php", otherwise all your changes will be overwritten. See more in actions.inc.php comments.
  - Admin: New configuration group "Feedback forms" on admin-page "System > Configuration". [#2382]
  - Saurus API: Transfering variables between page and content template variables using {print_content} tag. See more in Saurus API reference.
  - Saurus API: New tag {sync_folder} for folder synchronisation process. See more in Saurus API reference.
  - Sample Extension: New sample adminpage with default layout and permission check.
  - eShop: Added search to the admin-page "E-Commerce > Orders".
  - Bank connections: Improved Sampo bank payment routines.
  - CAPTCHA extension: New configuration variable on admin-page "Properties > Site Properties": 
     - "Use CAPTCHA verification for comments and forums (requires CAPTCHA extension)".
  - Install: Changes in check_requirements.php script: added fastcgi support, fixed PHP and MySQL upper version check. [#2392]
  - Bugfix: Feedback forms: Removed e-mail addresses from the html page source, to reduce spamming possibilities. [#2388]
  - Bugfix: Feedback forms: E-mail field validation ignores surrounding spaces now. [#2390]
  - Bugfix: Sample Extension: Typo in the configuration file in templates section caused compilation error when uncommented. [#2384]
  - Bugfix: Saurus API: Fixed missing "tpl" parameter in the page number links in tag {init_search_results}. [#2395]
  - Bugfix: Templates: The "op" value of page template was silently reset to null after saving the template content. Worked fine for content templates. [#2371]

4.2.3 [11 Aug 2006]
  - Extensions: Added automatic glossary import during extensions synchronization. The glossary folder  structure must be the same as in the default Saurus4 extension.
  - Saurus API: New attributes "image_width" and "image_height" for tag {init_picture}. See more in Saurus API reference.
  - Admin: New configuration value "Allow commenting" to tighten protection against spam bots. [#2372]
  - Extensions: New configuration value "Use CAPTCHA verification for comments and feedback forms (requires CAPTCHA extension)." CAPTCHA extension (not included in Saurus CMS update package) allows to tighten protection against spam bots using CAPTCHA images for verifying posted comments.
  - Bugfix: Article editor: When user selected multiple values in the feedback form selectbox then only the last value was saved in the notification e-mail. [#2212]
  - Bugfix: General: Improved HTTPS support for websites using both HTTP and HTTPS protocols. [#2370]
  - Bugfix: Glossary: Better usability during glossary import, removed active language check. [#2381]
  - Bugfix: Extensions: CMS permissions check for custom adminpages required config.php existence in the extensions/ folder, file is not needed anymore. [#2364]
  - Bugfix: File Manager: Adding a new file didn't work on Windows platforms (error message "Permission denied" was displayed). [#2342]
  - Bugfix: Installation: Content template "Search: results" printed some page number links in HTML. This template is included in "Saurus 4" extension. Bug from version 4.2.0. [#2378]
  - Bugfix: Active Directory: Fixed synchronisation bug in case AD server is in ISO encoding and website in UTF-8 encoding. [#2278]

4.2.2 [14 Jul 2006]
  - Saurus API: New attributes "id" and "home_id" for tag {init_language}. See more in Saurus API reference.
  - Saurus API: New feature for tag {sysword}: if word translation doesn't exist then link for adding a new translation is displayed. It allows editors to modify translations directly in the template.
  - eShop: Admin-pages "E-Commerce > Orders" and "E-Commerce > Products" got new look.
  - Bugfix: Aliases: Ending slash in alias (www.site.com/alias vs www.site.com/alias/) displayed a page without visual design. Bug starting from 4.0.14. [#2319, #2304]
  - Bugfix: Aliases: An URL containing both alias and ID information (eg /alias?id=123) didn't display correct page (?id=123). [#2320]
  - Bugfix: Saurus API: Attribute "->href" in tag {init_files} didn't return correct link in the Windows platform when new file was added in the template instead of File Manager. [#2317]
  - Bugfix: Saurus API: Comments didn't have "->creation_time" value. [#2310]
  - Bugfix: Saurus API: Tag {init_folders} returned duplicated folder names in PHP5 + Windows platform. [#2318]
  - Bugfix: Gallery: Tag {init_picture} returned wrong values for {$picture_source}, {$picture_next} and {$picture_previous} tags when used in filesystem based gallery template. [#2316]
  - Bugfix: WYSIWYG editor: Fixed error message "js/fckeditor/editor/dialog/fck_flash/fck_flash_preview.html Not Found" in the flash properties popup. [#2307]
  - Bugfix: Extensions: In case of numerous extensions admin-menu "Extensions" reached over bottom of the page and menu items were not clickable. [#2325]
  - Bugfix: Extensions: Non-superuser privileges didn't work for custom adminpages. [#2293]
  - Bugfix: Extensions: Removed restriction to receive files in the extensions/ folder over direct URL.
  - Bugfix: Recycle bin: When article belonged under two sections and it was deleted from one of them, then recycle bin emptying routine deleted that article entirely - including from another section. [#2306]
  - Bugfix: File Manager: Uploaded file was unpublished by default. [#2321]
  - Bugfix: Active Directory: Automatic CMS user creation failed during user's first login, it happened when a new user tried to log in into CMS before next AD syncronization routine. [#2323]
  - Bugfix: Admin: License info was saved and read incorrectly in some server environments using uncommon MySQL collation settings. [#2324]
  - Fixed minor bugs: [#2244], [#2245]

4.2.1 [9 Jun 2006]
  - Saurus API: New attributes "folder_id", "folder_path", "thumbnail_size", "image_size" for tag {init_albums}. See more in Saurus API reference.
  - Saurus API: New general tags "<name>_count", "<name>_counttotal" for tag {init_images}. 
  - Saurus API: New parameter "buttons" and new attribute "show_headline" for tag {init_picture}. 
  - Saurus API: New attribute "forum_allowed" for tag {init_album}.
  - Smarty engine upgraded to version 2.6.14.
  - Bugfix: Saurus API: Attribute "->href" in tag {init_files} didn't return correct link in the Windows servers. [#2281]
  - Bugfix: Templates: Templates list in the selectboxes were not grouped by extensions on admin-pages "Templates > Object templates", "Templates > Master templates". [#2248]
  - Bugfix: Templates: URL parameter "c_tpl" didn't have any affect in the object detail view. [#2258], [#2276]
  - Bugfix: General: Password reminder form was not displayed when using ?op=remindpass in the URL. [#2296]
  - Bugfix: General: Disabling "Site CSS styles" on admin page "Visual Design > CSS styles" didn't have any affect. Bug from version 4.0.15. [#2294]
  - Bugfix: General: User login didn't work in PHP version 5.0.4. [#2283]
  - Bugfix: Profiles: Datetime field didn't save time value when user entered the value and clicked immediately save button after that. [#2302]
  - Bugfix: Mailinglists: Links inside e-mail were generated uncorrectly in some cases. [#2285]
  - Bugfix: Article editor: Domain name was included in the file link, it is removed now. [#2301]
  - Bugfix: Statistics: Added "back" button to the statistics module menu. [#2298]
  - Bugfix: Install: Version update gave error "Update not allowed!" for site running on different port then default. Bug starting from version 4.2.0. [#2303]
  - Fixed minor bugs: [#2280]

4.2.0 [23 May 2006]
  - Version 4.2 includes support for our new Saurus CMS Free license which allows you to build websites with up to 150 content objects free of charge. See more at www.saurus.info/saurus-cms-free.
  - Bugfix: WYSIWYG text editor: the "Insert new image/file" function in the toolbar did not insert correct filename when it contained special characters. [#2269]
  - Bugfix: Site search: search results did not include any articles that were saved using new FCKeditor based text editor. [#2270]
  - Bugfix: General: correct template was not used when it was forced using tpl= parameter in URL e.g. /?id=1234&tpl=567. [#2259]
  - Bugfix: WYSIWYG editor: The spam protection feature in the feedback forms didn't work in some cases and error message "Error! Receiver e-mail in mail form has been changed by unauthorized persons" was displayed. Bug from 4.0.15 [#2277]
  - Bugfix: Security enhancements. [#2272], [#1914], [#1915]
  - Minor bug fixes: [#2257], [#2271], [#2267]
4.1.1 [12 May 2006]
  - Bugfix: Editor: Check-in module displayed an error message "Another editor is editing this document right now: ()" sometimes. It happened in cases when the object was modified by anonymous user or by system itself. [#2243]
  - Bugfix: Editor: Custom configuration values displayed on the template were reset to original values after saving the section data. [#2242]
  - Bugfix: Editor: Scheduled publishing didn't work for the objects that were forbidden for public visitors. [#2253]
  - Bugfix: Editor: It was not possible to assign an extensions' page template to the section, usual SAPI templates worked OK. [#2266]
  - Bugfix: Article Editor: When inserting a file from "shared/" folder into the article's content then wrong file link  was created. [#2265]
  - Bugfix: Article Editor: Delete icons were missing for the parent section links. [#2256]
  - Bugfix: Article Editor: Feedback forms didn't work correctly with HTTPS protocol: user was redirected to http:// page after the form submission. [#2255]
  - Bugfix: Users: User was not able to change his/her password after expiring. Bug ocurred only in Saurus CMS SE version. [#2261]
  - Bugfix: File Manager: File upload didn't overwrite an old existing file having the same name. [#1868]
  - Bugfix: File Manager: Fixed error "PHP exec() has been disabled for security reasons" in some server environments,  PHP command system() is used now. [#2262]
  - Bugfix: File Manager: After changing a folder name all files were doubled in that folder. [#2241]
  - Bugfix: Profiles: Adding HTML-code and question mark (?) into the profile field didn't work. [#2230], [#2246]
  - Bugfix: Admin: Misleading error message was displayed after deleting templates cache. [#2238]
  - Bugfix: Saurus API: Default variable name for tag {init_documents} was "articlelist" instead of "documents". [#2263]
  - Bugfix: Replication: The objects that were forbidden for public visitors had missing content in the target site. [#2254]
  - Bugfix: General: Cleaned up the style file "scms_dropdown.css" [#1504]
  - Minor bugfixes: [#1858], [#2235], [#2264], [#2250]

4.1.0 [17 Apr 2006]
  - Installation/Content templates: new Saurus API based content templates that cover the same functionality as PHP-based templates in Saurus 3. These old PHP-based templates are no more available in the full installation package. However, they can still be used if you upgrade Saurus CMS from previous versions. New Saurus API based content templates are packaged as an extension "Saurus 4" which will be overwritten in future product updates. If you wish to modify them, make a copy to create a custom version.
  - Installation/Page template: new sample page template in full installation package. This page template is included in "Saurus 4" extension.
  - Installation: now the package contains ISO-8859-1, ISO-8859-4 and UTF-8 English and Estonian glossaries that are imported if the site uses appropriate encoding. [#2224]
  - System requirements: the minimal required PHP version is now 4.3.0.
  - Extensions: extension synchronization will now create a new word group named by extension in the glossary. This group and containing translations are removed during deletion of the extension. [#2236]
  - Bugfix: WYSIWYG text editor: when adding link to a file in /shared folder using file manager, the link did not include file.php?id=<file_id>. [#2217]
  - Bugfix: Feedback forms: in the error message page, all the faulty field names were displayed in one row without spaces. [#2221]
  - Bugfix: File Manager: speed improvements. [#2118]
  - Bugfix: File Manager: synchronization routine didn't remove files that were deleted in filesystem. [#2240]
  - Bugfix: Templates: the option "is self-opening" is now always set to "YES" for all templates and this option is deprecated in future versions. [#2233]
  - Bugfix: Templates: after adding a new unpublished section into 1st level 1st position, the next published section contents were not displayed i.e. the "self-opening" feature did not work in this case. [#2205]
  - Bugfix: Saurus API: image handling in {init_albums} and {init_images} now work with GDLib in addition to Imagemagick. [#1987]
  - Bugfix: Installation: in full installation package, the GZip compression is now disabled by default. This is because Internet Explorer sometimes displays an empty page when using GZip compression with some site encodings, including UTF-8. [#1852]
  - Bugfix: Installation: enhanced "Check server requirements" tool (check_requirements.php). [#2227, #1561]
  - Bugfix: Security enhancements. [#2234, #2120]
  - Fixed minor bugs. [#2215, #2216, #2222, #2225, #2226, #2231, #2041]

4.0.15 [24 Mar 2006]
  - Licensing: due to the new user access layer (ACL) in Saurus 4, the role-based access control in Saurus CMS SE license is no more available. In Saurus CMS SE all the editors now have Superuser rights therefore gaining the full control over the content and site administrating functions. The ACL layer is available in Saurus CMS license.
  - Article Editor: the editor component has been changed from HTMLArea (www.htmlarea.com) to FCKeditor (www.fckeditor.net). This fixes most of the bugs related to the text editing functions in prior Saurus 4 beta versions. The new features include search & replace within an article, new lead/body separator, insert anchor, insert special character, right-click context menu, paste-from Word and context-sensitive style dropdown. 
  - CSS Styles: the "Admin > Visual Design > CSS Styles" page now has three text areas:
	- "Site CSS styles" is the only one of these which is included in styles.php output. The styles defined in "Visual Design > Site Styles" and "Visual Design > Text Styles" in prior Saurus versions are converted here and these pages are now deprecated.
	- "Styles in article editor dropdown" would be available for content editor to choose from. Both HTML tags and classes or combination of these can be defined here. For example: H1 {}, PRE {}, .greentext {}, IMG.noborder {}, TD.title {}. Note that the dropdown in Article Editor is context sensitive so IMG.noborder style would be listed only when an image is selected. 
	These styles are not included in styles.php so you have to redefine appropriate styles there. The purpose for doing this is that you can separately define H1 which is used in Article Editor and different styles in site areas, for example #header H1 {} and #content H1 {}.
	The installation script converts styles defined by "Visual Styles> Fonts" page in previous Saurus versions here.
	- "Styles used only by article editor" is available only in Article Editor and changes the format of the article's content area. Here you can set the background colour and default font. For example: body { color: white; font-size: 11px; }
  - Hidden sections: the action-button now has a new state - a yellow arrow is displayed when the section is published but hidden in menu. [#1989]
  - Glossary: the Languages > Language File page has been moved to Languages > Glossary and now opens in popup window. It is now also possible to export the glossary to CSV format.
  - Extensions: added an option to set template's "op" parameter and also read-only state in extension config file. See the sample extension in /extensions folder. [#2208]
  - Config.php: until version 4.0.15, this text file containing the database connection parameters had to be in site root, /admin and /editor folders. Now the file in site root is exclusively used and the other two are deprecated. [#2201]
  - The fixed PHP page template "Saurus CMS" known from Saurus version 2.x has been removed from the system. [#2209]
  - Profiles: in profile name/translation popup it is now possible to set the profile to be default when creating new object items. [#2210]
  - Bugfix: Article Editor: when adding a new form, the OK and Error message page ID-s were inserted according to the software user interface language not site language. [#1405]
  - Bugfix: Article Editor: hidden form fields were not displayed in Firefox. [#1714]
  - Bugfix: Article Editor: the e-mail subject defined in form was not used when sending the form data. [#2214]
  - Bugfix: Article Editor: sometimes it was not possible to leave the editor window using Alt-TAB. [#1510]
  - Bugfix: Article Editor: works now in Firefox 1.5 and Internet Explorer 7 current beta. [2050]
  - Bugfix: Section Editor: changed the user interface of permissions tab. There is now a button instead of check-box for applying permissions to sub-sections. [#1809] 
  - Bugfix: File Manager: it was not possible to delete empty folders. [#1993]
  - Bugfix: File Manager: the files in Recycle Bin were also displayed in File Manager. [#2176]
  - Bugfix: File Manager: it was not possible to upload a file when File profile was used. [#2178]
  - Bugfix: User Manager: in previous Saurus 4 versions, it was not possible to delete Superuser accounts. Now only deleting last Superuser is prohibited. [#2211]
  - Bugfix: User Manager: saving user mailing lists did not work. [#2196]
  - Bugfix: Forum: the count of messages included unpublished items. [#2174]
  - Bugfix: Search & Replace: fixed bug related to replacing strings that include quotes ("). [#2007]
  - Bugfix: Built-in Templates: in article archive the months that include items are now highlighted. [#2180]
  - Bugfix: Built-in Templates: the article archive displayed only articles with position 0. [#2185]
  - Bugfix: User Access / ACL: in prior Saurus 4 versions, the users without the permissions to edit/create content saw unpublished items in /editor environment. [#2182]
  - Bugfix: User Access / ACL: the "apply to subtree" functionality did not check the current user Update permission to subtree items before applying the permissions. [#2203]
  - Bugfix: XML import: manual locking of XML feeds was not included in site log. [#2175]
  - Bugfix: IP Filter: did not filter requests for /admin section. [#1971]
  - Bugfix: Saurus API: it was not possible to create new files using {init_files} tag. [#2177]
  - Bugfix: Saurus API: the functionality in {print_users_form} tag did not check whether the user already exists in database when creating new user. [#2197]
  - Fixed minor bugs: #1388, #1415, #1462, #1487, #1509, #1556, #1595, #1676, #1712, #1841, #1966, #1986, #2149, #2179, #2183, #1039, #1222, #2204, #927, #1386, 1997, #2194, #1551, #1905, #1958, #2191, #2033, #2190, #2193.

4.0.14 [27 Feb 2006]
  - Saurus API: Upgraded Smarty template engine which ships as part of the product from version 2.4.2 to 2.6.12.
  - Saurus API: New parameter "buttons" for tag {init_events}. [#2155]
  - Saurus API: New parameters for tag {init_calendar}: "hide_weeknumbers", "hide_month_link", "hide_today_link", "parent". See SAPI reference for more details. [#2156]
  - Statistics: Developers can create custom Search Engine Spiders List in the file "admin/spiders_custom.ini", default Spiders List is visible in the file "admin/spiders.ini". [#1871]
  - Mailinglist: Added SSMTP protocol support to mailinglists. [#2171]
  - General: Events removed from default sitemap, topics and albums added. [#2157]
  - Bugfix: Statistics: Pages using POST method were not included in the statistics. [#2161]
  - Bugfix: Statistics: Homepages (pages without "id" parameter) were not included in the statistics. [#1783]
  - Bugfix: Statistics: Aliases were not included in the statistics. [#2159]
  - Bugfix: Statistics: Fixed a minor security issue. [#2160]
  - Bugfix: Editor: Albums were not moved to the trash bin after deleting. [#2127]
  - Bugfix: Editor: Binary file upload didn't work in Windows-based servers with earlier PHP version than 4.3.2. [#2154]
  - Bugfix: General: Improved websites' hostname and wwwroot information handling. Removed configuration variable "Allow different hostname for the administrator environment". [#1439]
  - Bugfix: Site search: Page numbers' links on the search results page didn't return correct page if URI parameters "tyyp_id" and "lk" were not the last parameters in the row. [#2172]
  - Bugfix: SEO: Section-specific site title, meta-keywords and meta-description were missing for duplicated site URL-s (eg site.com without "www"-prefix). [#2162]
  - Bugfix: Aliases: Homepage was redirected to 404 error page in some server environments. [#2164]
  - Bugfix: XML interface: Fixed Javascript error on deleting XML data mapping. Fixed translation word "[v?nbsp;Section" in the XML data mapping edit popup. [#2146]
  - Fixed minor bugs: [#2063]

4.0.13 [10 Feb 2006]
  - New module: "Bank authentication" provides the ability to authenticate users via bank accounts. This new module is not part of the standard Saurus CMS package.
  - New module: "Estonian ID card authentication" provides the ability to authenticate users using Estonian ID card. This new module is not part of the standard Saurus CMS package.
  - Bugfix: WYSIWYG editor: The spam protection feature in the feedback forms didn't work in some cases and error message "Error! Receiver e-mail in mail form has been changed by unauthorized persons" was displayed. [#1938]
  - Bugfix: Templates: The built-in forum didn't work in the FAQ mode. [#2133]

4.0.12 [31 Jan 2006]
  - Added PHP5 support.
  - eShop: added option to specify 3rd image in product data. [#2087]
  - Saurus API: added "parent" parameter to {init_productcategory} tag. Available in eShop module. [#2052]
  - Saurus API: developer can add custom validations to object's profile fields now. Check the file /extensions/validations.inc.php for sample.
  - Bugfix: File manager: optimized the speed of displaying directory contents. [#2118]
  - Bugfix: Mailing list: Outlook did not show the correct encoding in the e-mail sent by Saurus CMS forum module when the site encoding was UTF-8. [#2121]
  - Bugfix: Translations: glossary import does not check the number of string groups and strings in the checksum anymore. Made the algorithm more loose. [#1552]
  - Bugfix: Version update: the update package now includes UTF-8 glossaries instead of ISO-8859-1. This is because the full installation package is also UTF-8 based. [#2106]
  - Fixed minor bugs: [#1697], [#2126], [#2125]

4.0.11 [18 Jan 2006]
  - File manager: now remembers the last selected folder if you return from other views. [#1558]
  - Link verifier: updated the user interface style. [#1587]
  - Bugfix: WYSIWYG editor: the yellow "form" tags were not displayed in the article text after saving and reopening it. [#2030]
  - Bugfix: WYSIWYG editor: the Date field value was set to today after reopening the article. [#2078]
  - Bugfix: WYSIWYG editor: the Date field value had two dots before the date value. [#2001]
  - Bugfix: Section editor: changed the order of Meta-description and Meta-keywords fields. [#2061]
  - Bugfix: Section editor: enabling/disabling the Meta-description and Meta-keywords fields did not work when the field values included quotation mark ('). [#2077]
  - Bugfix: Action buttons: removed non-breaking spaces from left and right side of the button code. [#2086]
  - Bugfix: Templates: moved the action buttons from right to left of object titles in PHP-encoded built-in templates such as Articles, News, Gallery, Documents, and Forum. [#1217]
  - Bugfix: Templates: the height of the IFRAME in "External application" was improperly set. [#2060]
  - Bugfix: Templates: when saving a new image in the gallery, user was redirected into the system section. Appeared only when using Internet Explorer. [#2018]
  - Bugfix: XML import: saving new import process did not work starting from version 4.0.10. [#2058]
  - Bugfix: XML import: when the import process was set to update existing objects based on unique field name, the objects with same field value in other sections were also updated. [#2034]
  - Bugfix: Profiles: the date field was displaying 00.00.0000 when the value was left empty. Now empty field is displayed instead. [#1848]
  - Bugfix: Profiles: the default value did not work on text fields. [#2044]
  - Bugfix: User interface: removed unnecessary CSS code from the beginning of section edit popup which caused the Internet Explorer to misinterpret the site encoding. [#2059]
  - Bugfix: System articles: "see also" links were displayed with system articles on some cases. [#2043]
  - Bugfix: Install package: the value of track_vars was incorrectly interpreted on some servers. [#2047]

4.0.10 [2 Dec 2005]
  - Site styles: it is now possible to define in CSS which styles are used in the WYSIWYG article editor. To do this, add your styles with ID "scms_editor" in Admin > Visual Design > CSS Styles. For example to display links in article editor always in red, add this line: #scms_editor a {color: red;}. [#1991]
  - Replication: during the replication process, the objects in target site get new ID-s and the site's internal links inside articles are modified to point to original ID-s by using "rep_id" parameter. In addition to the article contents, changing the links now works also for CMS link objects. [#2003]
  - XML interface: XML import process converted the input data always to ISO-8859-1 charset which caused problems when the site encoding was something else. We added new parameter "Target encoding" to the import definition. [#1976]
  - General: when an article belongs to multiple sections, selecting it by using sitename.com/?id=<article_id> does not have an option to select in which parent section to display it. Now you can add "parent_id" parameter to the URL to force displaying it in given section: sitename.com/?id=<article_id>&parent_id=<section_id>. [#538]
  - Performance: improved speed of finding permissions for Superuser. [#1974]
  - Bugfix: Editor: Save button on objects' tab "Permissions" did not close the popup. [#1992]
  - Bugfix: Editor: when adding new permissions to the section, the row "Everybody" was removed. [#1920]
  - Bugfix: Permissions: user who has R(ead) permission to an object can now see it in the /editor environment even if it is not published. [#1985]
  - Bugfix: Permissions: non-Superusers did not have permissions to open File Manager from the WYSIWYG text editor. [#1978]
  - Bugfix: Permissions: when creating new folder in File Manager, it did not inherit parent folder's permissions. [#1994]
  - Bugfix: Permissions: Subtree option in File Manager did not copy the permissions to child folders. [#1996]
  - Bugfix: Permissions: copying permissions to section's subtree did work only in Estonian site language. It is fixed and works now in all site languages. [#1981]
  - Bugfix: Permissions: fixed critical error for non-Superusers: when user opens an object with allowed U(pdate) permission but object's parent has forbidden C(reate) permission then this object was misplaced in the object's tree after saving. [#1988] 
  - Bugfix: Mailing list: sending articles to subscribed users did not work starting from the version 4.0.6. [#2002]
  - Bugfix: Security: fixed a minor issue. [#2005]
  - Bugfix: Saurus API: the tag {print_users_form} did not display error messages. [#1998]
  - Bugfix: Saurus API: the tag {init_productcategory} did not return correct values if parameter "level" was used. [#1973]
  - Bugfix: File Manager: when creating a new file in File Manager then special symbols in the filename were not replaced by underscores in some servers' environment. [#1990] 
  - Bugfix: XML import: the article's contents was not updated after the first creation. [#1957]
  - Bugfix: NTLM: when accessing some site in the new browser session then URL was modified automatically and 404 error occured (eg "?id=40" was changed to "?id=40id=40"). [#2026]

4.0.9 [4 Nov 2005]
  New Search Engine friendly features:
  - Section-specific site title, meta-keywords and meta-description. It is now possible to specify site title and metadata for each individual section. There are three new fields on a new tab for doing this in the section editor. When not filled, the data is inherited from parent sections. This feature is not available in the SE product but can be purchased separately.
  - Automatic "static URL-s". Added new parameter to Admin > System > Configuration: "Use static URLs and alias names if available". When enabled, the site URL-s are displayed in format of website.com/aliasname or website.com/sectionid instead of default behaviour of displaying website.com/?id=sectionid. Be sure to have the Aliases module configured before turning this on. The static URL-s are only displayed in the end-user environment - when logged in as editor, the normal URLs with ?id=sitename are used. This feature extends the Aliases module and is not available in the SE product. [#930]
  Other features: 
  - Saurus API: added new parameter "show_missing" for tag {sysword}, if the translation is not found and parameter "show_missing"i set to "1" then an input word is printed out as result.  [#1961]
  - User manager: added user role filter to the User manager (Admin > Organization > People). [#1948]
  - Bugfix: WYSIWYG editor: choosing the text style did not work in Internet Explorer. [#1929] 
  - Bugfix: File manager: the file upload did not work when PHP was running in CGI mode and the user umask was equal to 600. [#891]
  - Bugfix: File manager: in Windows-based servers, showing the folder tree and uploading new files did not work due to the difference of use of slashes in Linux and Windows file systems. [#1441]
  - Bugfix: Comments: an empty page was displayed after adding comments when "c_tpl" was used. [#1953] 
  - Bugfix: Aliases: When the "Use static URLs and alias names if available" is turned on, the built-in sitemap template uses them as well URL-s. [#1918]
  - Bugfix: Aliases: The static URL-s did not work if the site was running not on the root of the sitename but in subdirectory for example website.com/sitename/. [#1959]
  - Bugfix: Admin: error displaying on page Admin > System > Configuration in Windows-based servers. [#1968]
  - Bugfix: Admin: error displaying on page Admin > Organization > Resources for the ordinary users (not superuser). [#1967]
  - Bugfix: Templates: in more advanced websites which use more than one page template and use articles which have multiple parents: If those articles have sub-articles, then the correct page template was not displayed. Now the site sets a cookie in user browser to track from which section is the user coming from when clicking to display the sub-article. [#1955] 
  - Bugfix: Templates: the 1st and 2nd level menus were exchanged when ?op=something was used in site URL and {init_section} tag was used with "level" parameter. [#1924]
  - Bugfix: Templates: the correct menu items were not displayed when ?op=something was used in site URL and {init_section} tag was used with "level" parameter. [#1962]
  - Bugfix: Password reminder: starting from version 4.0.8 the ?op=remindpass did not show the password reminder screen. It's been fixed now, also added an ability to use a custom password reminder. [#1952]
  - Bugfix: Saurus API: when the {init_articles} uses profile="profile name" parameter and inside the {foreach} loop the {init_article} was used, the correct profile was not selected automatically in article editor when adding new object. [#1963]
  - Bugfix: Triggers: it was not possible to initialize an article object field "aeg" in the trigger "onBeforeObjectLoad". [#1949]
  - Minor bugfixes: [#1964]

4.0.8 [14 Oct 2005]
  - WYSIWYG: New toolbar button "New image or file" allows to insert a new image or file link to the article text without opening File Manager. New files uploaded with this tool are created in the /public folder.
  - WYSIWYG: In the popup window where you can choose a parent section of article, you can now narrow down the list by using search from the section name.
  - File Manager: When selecting a folder name, we now check whether the number of physical files in folder is different than in database. If yes, the file synchronisation routine is executed automatically so you see the new files immediately. [#1886]
  - Site search: The default search now finds part of the word, so "international" is found when searching for "nation". [#1923]
  - Site search: The files and folders in File Manager are not included in quick and advanced search by default. You can use additional GET/POST parameter "classes" to define which type of objects to include in search. In that way you can search for filenames as well. The value of parameter "classes" can be list of values "section,article,link,picture,comment,document,subject,album,event,asset,file,folder". So to search for articles and files, use "?otsi=searchstring&classes=article,file" in the URL. [#1939]
  - Recycle Bin: When deleting an article which has multiple parent sections, the user is now warned: "NB! This object is located in other sections also. The object will be deleted from all sections!". When user agrees, this article will be moved from both sections to Recycle Bin.
  - Profiles: Added default value field to the object profile data field definitions. Currently only fixed values can be used. To use more complicated values, please use appropriate triggers in the file /extensions/actions.inc.php which is freely editable. [#1941]
  - Templates: New ability to define default templates for File, Folder, Resource and Topic object types in Admin > Templates > Object Templates. [#1940]
  - Saurus API: Improved tag {init_calendar}, it will also work with articles now. The article must have profile Datetime fields named "starttime" and "endtime".
  - Saurus API: New tag {init_files} for showing files from given folder.
  - Saurus API: New customizable trigger "onAfterObjectLoad" in the file /extensions/actions.inc.php.
  - Saurus API: Added paging capabilities for the {init_articles} and {init_messages}. To use it, just add POST or GET parameter "page" with numeric value. The number of returned records can be defined by "rows_on_page" parameter in SAPI, for example {init_articles rows_on_page="50"}. If "rows_on_page" is omitted, the paging returns the default number of records which is set in Admin > System > Configuration page by parameter "Number of articles on search result page". [#1931]
  - Saurus API: Added parameter "where" to {init_messages}. [#1931]
  - Site URL: Added English aliases ?op=archive and ?op=poll_archive for current Estonian parameters ?op=arhiiv and ?op=gallup_arhiiv. [#1930]
  - Bugfix: WYSIWYG editor: When the article profile fields list was long, the last fields were not editable.
  - Bugfix: Action buttons: The action menu appeared in wrong place when the page was scrolled down in Internet Explorer. [#1572]
  - Bugfix: File Manager: Started from version 4.0.7, the users were not able to upload files to the public folders. [#1943]
  - Bugfix: Extensions: The templates defined in the extensions appeared twice after the synchronization routine on the Admin > Templates page. [#1859]
  - Bugfix: Admin: The page Admin > Languages > Glossary missed an html encoding setting. [#1912]
  - Bugfix: Saurus API: The new {init_images} and {init_albums} tags introduced in version 4.0.7 did not return any values in public view. [#1908]
  - Bugfix: Saurus API: Tag {init_article} did not return the value of "->fdate".
  - Bugfix: Saurus API: Tag {init_object} did not return the object's profile fields values.
  - Bugfix: Saurus API: Elements ->show_toolicons, ->is_mailinglist, ->show_subarticles, ->hide_in_menu, ->show_date from tag {init_section} are moved to tag {init_object}.
  - Bugfix: Saurus API: The {obj->all.profile_fieldname} did not return the same field values as they are in the database. Now it's fixed: for example if profile includes DATE format field "starttime", then value {$obj->starttime} is formatted as dd.mm.yyyy and {$obj->all.starttime} is returned as is: yyyy-mm-dd. [#1927]
  - Bugfix: Saurus API: The content template defined in {print_content tpl="templatename"} was overridden by the c_tpl=othertemplate in the site URL. The URL parameter c_tpl is now used only when page template contains {print_content} _without_ the template name parameter. The current priority list for applying the content template is:
	- If {print_content} has parameter tpl=templatename, use this.
	- If not, check for c_tpl parameter in the URL, if found then use this.
	- If not, use content template defined in the section editor-window. 
	- If not, use master content template or built-in PHP template. [#1945]
  - Bugfix: Fixed templates: The built-in PHP Gallery template known from Saurus 3 had a wrong table width HTML tag format. [#1937]
  - Bugfix: Events: Adding new event objects did not work properly in some server environments. [#1942]
  - Bugfix: Security enhancements. [#1915, #1914]
  - Minor fixes. [#1531, #1926, #1921].

4.0.7 [24 Aug 2005]
  - WYSIWYG: Flash toolbars are removed. Now the product does not require Macromedia Flash Player to be installed in the editor's browser anymore.
  - Gallery: Editor can now choose folders in the server as the images source. The images can be uploaded via the File Manager or via any other application such as FTP or Samba. Thumbnails and screen-size images are automatically generated when saving an album details; also when changing the thumbnails or screen-size image pixel sizes.
  - Saurus API: new parameter to {init_albums}: "thumbnail_type" with values [first|random] default being "first". 
  - Saurus API: new attribute "->description" to {init_albums}.
  - Saurus API: new tag {init_images}. See online SAPI reference for details.
  - Saurus API: Upgraded Smarty template engine which ships as part of the product from version 2.2.0 to 2.4.2.
  - General: Content editor can now enter the HTML code into the comments text when opening the comment. The posting of HTML tags are still denied for users. [#1895]
  - Bugfix: WYSIWYG: closing the article editor window which contained a form field in the article contents caused Internet Explorer to crash. [#1832]
  - Bugfix: WYSIWYG: added tool tips for the toolbars buttons. [#971]
  - Bugfix: WYSIWYG: using link target did not work in Mozilla/Firefox. [#1640]
  - Bugfix: WYSIWYG: Full-screen view was empty in Internet Explorer when the article contents contained any form fields. [#1678]
  - Bugfix: WYSIWYG: inserting Flash objects from the File Manager into the article contents did not work correctly. [#1877]
  - Bugfix: File Manager: folders created by File Manager were not writeable by other applications such as FTP or Samba. [#1906]
  - Bugfix: Saurus API: {parse_html} did not make the URL-s which included question mark (?) into HTML A-tags. [#1894]
  - Bugfix: Saurus API: {$tpl} and {$c_tpl} did not return the correct value sometimes. [#1674]
  - Bugfix: Gallup: the gallup editor did not have an ability to change the gallup's parent section. [#1896]
  - Bugfix: Admin: when saving the site metadata fields, the language was always considered to be "English". [#1875]
  - Bugfix: Templates: in the editor window added "Apply" button which saves the changes without closing the window. [#1387]
  - Bugfix: Profiles: the line breaks were not recorded from the user input in the textarea fields. [#1890]
  - Bugfix: Admin: the configuration value "Cyrillic conversation type" was not displayed. [#1899]
  - Bugfix: Languages: the automatic on-the-fly conversion for Cyrillic did not work entirely for UTF-8 encoding in Firefox/Mozilla. [#1608]
  - Bugfix: Installation: now uses site encoding for the install.php browser interface. This enables correct data input for the site configuration values. [#1854]
  - Bugfix: Mailinglist: the articles were re-sent with the automatic mailinglist when the article was saved after the initial mailinglist had already sent it. [#1892]
  - Bugfix: General: the object's field comment_count was not updated when user deleted his/her last comment attached to the object. [#1888]
  - Bugfix: Licensing: the allowed modules for the current site were disabled when incorrect license was entered. [#1519]
  - Bugfix: Licensing: the allowed modules management did not allow to use the functions allowed by the license when the site was displayed from an alternative (not licensed) URL-s. [#1695]
  - Bugfix: Licensing: the cron jobs did not receive correct info about the allowed modules, possible error situations existed. [#1903]
  - Bugfix: General: in case {init_section} tags were used with "level" parameter then menu levels were displayed mixed-up when using ?op=sitemap or ?op=advsearch in the site URL. [#1901]
  - Bugfix: General: Normally, for most content objects the parent object is section. But the developers can actually make more complex hierarchies by combining different object types: for example the article can be a parent for the document object. Until now the parent object name was not displayed in the child object's properties. You can not change the parent via the properties popup though. [#1681]
  - Minor fixes: #1071

4.0.6 [29 Jul 2005]
  - Search Engine Optimisation feature: for the historical reason, the current product has some built-in PHP templates that the developer can not change which use <font class="pealkiri"> instad of H1. The developer can create their own content templates using Saurus API but it would be great to have the H tags in these templates as well. So we changed the tags <font class="pealkiri"> to <h1 class="pealkiri"> in the built-in templates. For backwards compatibility, during version upgrade the following CSS definition is added to the custom CSS:
	h1.pealkiri {
	    display:inline;
	}
  - New module: "NTLM" provides the ability to authenticate registered users that have logged into the Windows NT domain. The users are not asked for any additional username or password. This new module is not part of the standard Saurus CMS package.
  - Saurus API: elements "->comment_count", "->last_comment_time" added to the following tags: {init_articles}, {init_article}, {init_documents}, {init_document}, {init_section}, {init_subjects}, {init_messages}, {init_message}, {init_albums}, {init_album}, {init_picture}, {init_objects}, {init_object}.
  - Bugfix: Site search: changed behaviour when the search string is empty. Currently the user was directed to site homepage. Now we keep the user in the current page. [#1828]
  - Bugfix: Saurus API: the content template which was defined in the section editor by the user was not displayed using {print_content} tag when in the template there was defined {print_content tpl="<template name>"} before {print_content} (the second one without "tpl" parameter) [#1597]
  - Bugfix: Glossary: the import script normally updates also the language files. The language files in the update package are in ISO-8859 and WINDOWS-1251 (Russian version) encoding. The problem arose when the site encoding was different to that, because Saurus does not convert the encoding of language files during import. Version upgrade now checks about the conflict and does not update the language files if the encodings are different. Appropriate message is displayed in the installation script. [#1575]
  - Bugfix: Glossary: the popup window which lets the site administrator to modify and enter the translations in Admin section had hard-coded encoding which is removed now. [#1883]
  - Bugfix: Glossary: the language file was not imported when the server had turned off system "copy" function. [#1874]
  - Bugfix: User interface: updated the visual style of Admin > Tools > Search & Replace which is available in the PowerTools module. [#1587]
  - Bugfix: User interface: the Admin > Organization > Permissions page did not work correctly in Mozilla/Firefox. [#1223]
  - Bugfix: WYSIWYG editor: the author field was not automatically filled by the current user name when creating new article. [#1872]
  - Bugfix: WYSIWYG editor: Article's profile fields were not saved if the profile field was not changed in Admin > System > Profiles. [#1884]
  - Bugfix: Users: default user password expiration date had wrong value in the database. [#1815]
  - Bugfix: Built-in templates: in the template "Documents" the publish/hide functionality did not work hide the document from the public view. [#1857]
  - Bugfix: Action buttons: fixed the behaviour and the style of the drop-down action buttons in the Editor mode. 
  - Bugfix: CSS styles: removed <style> tag from the styles.php output. [#1844]
  - Bugfix: CSS styles: changed the Mime type of styles.php output from text/html to text/css. [#1844]
  - Bugfix: General: the object-type specific detail view template which is defined in Admin > Templates > Object templates was not used when the content template for object's parent section was selected from the section editor. [#1860]
  - Minor fixes: #1834, #1851, #1855, #1856, #1865, #1866, #1873

4.0.5 [27 Jun 2005]
  - New module: "Active Directory" provides the ability to authenticate users using an Active Directory service. Each user group in Saurus can be assigned to use one of the following authentication methods: Saurus, LDAP or Active Directory. This new module is not part of the standard Saurus CMS package.
  - New administration page: "Integration > Configuration" allows user to change Active Directory and XML preferences. 
  - Saurus API: new element "->last_commented_time" in tags {init_articles} and {init_article}.
  - Bugfix: XML: import failed when the tag names contained utf-8 encoded characters. [#1702]
  - Bugfix: Session manager: the editor was logged out when the site used more than one URL. [#1699] 
  - Bugfix: Admin UI: the header and the menus were sometimes lost during page scroll when using Internet Explorer. [#1696] 
  - Bugfix: Admin: in the System > Data page the New-button did not pass the profile data correctly. [#1793] 
  - Bugfix: Admin: in the System > Data page the external tables' data was not shown. Bug appeared in version 4.0.4. [#1792]
  - Bugfix: Article editor: user was directed to the articles' detailed view when saving new article. Bug appeared in version 4.0.4. [#1715]
  - Bugfix: File manager: the Choose and Close buttons were not visible when the manager was opened from the Article editor. This bug only occurred in Mozilla/Firefox. [#1490]
  - Bugfix: File manager: the folders list was not always displayed correctly. [#1716] 
  - Bugfix: File editor: the file profile data was not saved. [#1782]
  - Bugfix: File editor: when opened from the template, the Save action caused the page to go to File manager, not refresh the current page as expected. [#1794]
  - Bugfix: Version update: during this update, the empty "changed_time" fields in objects data are filled with the values from the old "last_modified" field. The "last_modified" field is deprecated. This is only an internal change and does not affect the SAPI functions. [#1663]
  - Bugfix: System information: the database size was displayed incorrectly when using MySQL version 4.1 or later. [#1703]
  - Bugfix: Saurus API: when calling object's profile field which has DATETIME format, the DATE format output was returned. [#1791] 
  - Fixed minor bugs #1662, #1765, #1413, #1795.

4.0.4 [13 May 2005]
  - Product Extensions. Custom functionality and templates can be packaged and deployed as single package to extend the product. See /extensions/sample folder for sample.
  - Custom admin pages. Developers can add pages to Saurus administrator's environment. See non-encoded file /admin/custom_adminpage_sample.php.
  - Extensions: new trigger "onBeforeObjectLoad()" in extension file "actions.inc.php".
When "new/edit" button is pressed and object is not loaded into the edit-window yet. You can also set default values using this event, save them into the $site->fdat[''] array previously. 
  - Gallup: with each vote, the timestamp and answer option is saved now in addition to the user ID and IP address.
  - XML: import now imports Event objects.
  - XML: Added feature to map more than one XML element to the same database field, element names are separated by comma.
  - E-Commerce: New configuration values on Admin-page "E-Commerce > Configuration":
	- "Transport V.A.T. value in percent", defaults to 0.18
	- "Order VAT calculation formula", default: $result = ($price + $transport) * $vat 
  - Saurus API: New element "->transport_vat" for tag {init_order}.
  - Saurus API: New tag {init_object} returns a general object, loading entire existing content for object. An object has all generic elements plus the class-specific elements. See more in SAPI reference.
  - Bugfix: Article editor: the leady/body separator did not appear in the article when using Internet Explorer. [#1638]
  - Bugfix: Article editor: inserting tables did not work when using Mozilla/Firefox. [#1666]
  - Bugfix: Article editor: saving articles did not work when the article text contained image in .PNG format. [#1508]
  - Bugfix: Article editor: applying links to the images did not work when using Mozilla/Firefox. [#1641]
  - Bugfix: Article editor: in bulleted lists, only first bullet was created when using Internet Explorer. [#1614]
  - Bugfix: Article editor: the Form Insert menu did not close when the mouse was moved away from it. [#1596]
  - Bugfix: Article editor: HTML-view was not working in articles containing images when using Internet Explorer. [#1669]
  - Bugfix: Article editor: while choosing a parent section it was not possible to see the end of a very long path because of the selection widget limitation. From now on there's a separate display box which displays the whole path of chosen parent element no matter how long it is. [#1649]
  - Bugfix: Article editor: if user was lacking privileges to access for certain section in path, the corresponding components were never displayed. However it caused a lot of confusion, because it seriously hampered the navigation and for some extreme cases made it impossible from first glance to distinguish between parents. It is now possible to see the whole path even though user might not have an access to some of its sections. [#1650]
  - Bugfix: Article editor: Whenever a "src" parameter of any HTML tag included an ampersand symbol ("&"), it was automatically converted to its HTML counterpart ("&amp;"). This particular "feature" was culprit for many anomalies with IFRAMES in Mozilla/Firexfox browser. [#1613] 
  - Bugfix: Hyperlink insertion popup: the checkbox label "Open in new window" was not label to the checkbox. [#1618]
  - Bugfix: Users: superusers lost their superuser privileges when their profile data vas saved. [#1636]
  - Bugfix: Comment editing window: headline field was missing. [#1667]
  - Bugfix: Link Verifier: Proxy support did not work correctly. [#1661]
  - Bugfix: E-Commerce: User confirmation email incorrectly used HTML format for the accented characters. [#1620]
  - Bugfix: E-Commerce: Some user data became unavailable from page "E-Commerce > Orders" after the order was saved. Bug starting from version 3.3.7. [#1627] 	
  - Bugfix: E-Commerce: Wrong date format on admin-page "E-Commerce > Orders". [#1615]  
  - Bugfix: Saurus API: parameter "on_create=publish" doesn't work for tag {init_assets}; parameter "on_create=publish" doesn't work for tag {init_assets}. [#1609]
  - Bugfix: Saurus API: Element "->thumbnail" in tags {init_album} and {init_picture} had wrong link value. [#1660]
  - Bugfix: Saurus API: {init_events} element ->"end_time" did not return any value. [#1710]
  - Fixed minor bugs #1670, #1677, #1594.

4.0.3 [18 Feb 2005]
  - Saurus API: New elements "->created_user_id", "->created_user_name", "->changed_user_id", "->changed_user_name", "->created_time", "->fcreated_time", "->changed_time", "->fchanged_time" for all object-related {init_..} tags. 
  - Saurus API: Element "->last_modified" is available but deprecated from now on. [#1579]
  - Saurus API: New parameter "get_object_fields" for tags {init_assets}, {init_articles}.
  - Saurus API: Parameter "fields" in tag {init_assets} is available but deprecated from now on, use parameter "get_object_fields" instead.
  - Saurus API: New element "->delete" for tag {init_messages}. [#758]
  - Saurus API: New element "->type" for tag {init_documents}. [#1143]
  - WYSIWYG: Added feedback forms feature - identical with version 3.
  - Admin: New configuration values "Proxy server address" and "Proxy server port".
  - Link verifier: Added proxy support.
  - Search and replace: major improvements. [#1563]
  - Editor: New alert in the delete-popup: "This section includes objects which are published also in other sections. These objects are deleted only from this section." [#1230]
  - Bugfix: Search: Fixed critical errors in the site search. [#1568]
  - Bugfix: Saurus API: Tag {login_name} didn't work. [#1535]
  - Bugfix: Saurus API: Elements "->last_modified" and "->flast_modified" didn't work. Bug starting from version 4.0.2. [#1579]
  - Bugfix: Saurus API: Parameter "where" in tag {init_articles} didn't work correctly with "OR"-statements. [#1583]
  - Bugfix: General: A space was added after characters ", ! -" during the comment insert. [#1560]
  - Bugfix: Editor: The action-button was not clickable in Mozilla for some html-templates. [#1499]
  - Bugfix: Profiles: The custom assets didn't have action-button on admin-page "System > Data". [#1532]
  - Bugfix: Profiles: An empty row was displayed for the custom asset profiles on admin-page "System > Profiles". [#1582]
  - Bugfix: Profiles: Fixed "Permission denied" error when deleting a custom asset. [#1582]
  - Bugfix: Profiles: Radio buttons were not displayed in the edit-window. [#1582]
  - Bugfix: ACL: The user roles could not be saved when SSO module is inactive. [#1564]
  - Bugfix: File Manager: File upload didn't work when the absolute path of the site contained a word "public". [#1566]
  - Bugfix: Mailinglists: The system word "Read more" in the e-mail was in the wrong language in some cases. [#980]
  - Bugfix: Mailinglists: The feature "Mailinglist subject = Article headline" didn't work. [#1460]
  - Bugfix: Admin: The auto-publishing routine tried to publish the objects being already published. [#1571]
  - Bugfix: Aliases: Fixed security bug. [#1546]
  - Minor bugfixes: [#1578], [#1456].

4.0.2 [1 Feb 2005]
  - New feature "Session Management", administrator can see how many visitors are in the site, who is logged in and log them out if necessary. The core functions are implemented, admin-page and SAPI tags will be available in the next release.
  - New feature "Article profiles", now you can add the fields with arbitrary type to the article also. 
  - New feature "Publish all objects immediately": new parameter "on_create" for each SAPI {init_..} tag. If the parameter has value "on_create=publish", then a created object is published immediately. Default value for parameter is "hide".
  - New configuration value on admin-page "Properties > Site Properties": 
	- Users are allowed to delete their last comment (Y/N, default: Y)
  - New feature in the commentboard: e-mail addresses and URL links are replaced with html tags, the emoticons are replaced with images. 
  - The frequency of automatic publishing is inreased from 1 hour to 10 minutes. [#1538]
  - Bugfix: ACL: Fixed critical error in the permissions handling. [#1545]
  - Bugfix: WYSIWYG: Fixed critical error in the file handling, the file paths in the article content were not changed automatically when the website was moved to the different URL. [#1555]
  - Bugfix: WYSIWYG: The parent section deleting didn't work in Mozilla for Mac and in Firefox for Win. [#1550]
  - Bugfix: WYSIWYG: The file inserting to the article content didn't work in Mozilla for Mac and in Firefox for Win. [#1515]
  - Bugfix: WYSIWYG: missing translation in the parent section area. [#1536]
  - Bugfix: File Manager: the user actions were not logged to the Site Log. [#1526], [#1491]
  - Bugfix: File Manager: The files with uppercased file extension were not uploaded correctly. [#1275]
  - Bugfix: File Manager: the profile values were not saved when creating a new file. [#1525]
  - Bugfix: File Manager: when file deleting failed because of filesystem permissions then no error message was displayed. [#1527]
  - Bugfix: File Manager: general improvements [#1433]
  - Bugfix: Editor: The templates were not alphabetically sorted in the section edit-window. [#1410]
  - Bugfix: Editor: Fixed error "Another editor is editing this document right now ()", the check-in/out feature didn't work correctly sometimes. [#1541]
  - Bugfix: Profiles: Added the field "Title" for the Custom assets on admin-page "System > Profiles". The field was existing but not visible before. [#1530]
  - Bugfix: Profiles: The file/user/group/asset was not saved if the profile didn't contain any fields.[#1522]
  - Bugfix: Profiles: When creating a profile with already existing name then no error message was displayed. [#1523]
  - Bugfix: General: when user deleted his/her last comment then opening window was redirected to the wrong page. [#1534]
  - Bugfix: General: The checkbox and radio button labels were not clickable on the several pages. [#1419], [#1426], [#1443]
  - Minor bugfixes: [#1424]

4.0.1 [13 Jan 2005]
  - Users: User will be locked after number of failed login attempts and superuser will receive a notification email. New configuration values on admin-page "System > Configuration":
	- "Maximum number of login attempts" (default: 5)
	- "How long user is locked after failed login attempts (in minutes)" (default: 20)
	- "Time within the login attempts are considered as one (in minutes)" (default: 20)
  - Users: New feature "Password string for new users (default is empty)". If this configuration value is defined by administrator then every new user will be created having that password. Reg.user will be always forced to change his/her password after the next login. This feature is available only in the admin-area and not in the registration form. [#1406]
  - General: The session lifetime (logging time duration, etc) is now changable for administrator. If the value is not set (or equal to 0) then PHP default value (usually 15 minutes) is used. New configuration value on admin-page "System > Configuration": 
	- "Session lifetime in minutes" (default: 0)
  - Gallery: Added GD library support as the alternative choice for Imagemagick. We suggest to use GD instead of Imagemagick from now on. NB! In case your server has the full GD support, Saurus CMS will automatically switch to the GD during the version update. Site administrator can manage the settings by new configuration value "Image manipulation is handed by".
  - Statistics: You can now exclude the range of the IP addresses or one IP address from your statistics gathering. New configuration value "Exclude IP (comma separated list)" on the statistics page - use comma and minus symbols to define the set.
  - Saurus API: Added comments part to the document detail view (predefined template). New elements for the tag  {init_document}: "->comment_link", "->comment_title", "->add_comment_link", "->add_comment_title", "->comment_count". See SAPI reference for more details.
  - Saurus API: New parameter "where" for tag {init_articles}. See SAPI reference for more details.
  - Saurus API: New parameters "start" and "limit" for tag {init_messages}. See SAPI reference for more details.
  - Saurus API: new element "counttotal" for all tags having the limit parameter. If parameter "limit" is defined then "counttotal" value is equal to all rows count and element "count" is equal to the "limit" value.
  - Saurus API: {init_carts} parameter "user" has another default value now, it's <User ID> instead of previous <Username> value.
  - Saurus API: New element "name" for tag {sysword}, allows to assign the tag output to the template variable.
  - General: Configuration value "Allow to change position for the objects (Y/N)" on admin-page "System > Configuration" is now available for everybody and not for the developers only. We strongly recommend to turn it off on the production server.
  - Link verifier: Added feature to change the timeout value for the each single request, the default value is 3 seconds.
  - Product catalog: You can add the profile translations directly in the product edit-window now, no need to visit the glossary page anymore.
  - XML: New feature "XML export for CMS objects".
  - XML: New feature "XML import of assets", works exactly like importing the articles.
  - XML: Added UPDATE criteria to the XML import, it's defined by the new value "Update records by unique ID in field [field]" in the XML task edit-window. Previous value "delete only matching records with [field]" is removed.
  - Templates: Added new styles for the comment page (including commentbox, etc), the developer can overwrite all styles using custom CSS. See new predefined styles on the admin page "Visual Design > CSS styles". [#1477]
  - Bugfix: Users: When changing password for the last existing Superuser then user was not able to log in again. [#1452]
  - Bugfix: Users: Fixed scrollbar bug in the group edit-window. [#1464]
  - Bugfix: Users: The user image was not changable in Mozilla. [#1392]
  - Bugfix: Templates: HTML characters in the long format ("&nbsp;",etc) were converted into the nice format in the tempate editor. [#1454]
  - Bugfix: Templates: Fixed "px.gif not found" error in the search results page. [#1437]
  - Bugfix: WYSIWYG editor: Fixed the lead mark disappearing error. [#1458]
  - Bugfix: WYSIWYG editor: Fixed feedback forms errors. [#1486]
  - Bugfix: WYSIWYG editor: Links with anchor didn't work correctly. [#1507]
  - Bugfix: Fixed several bugs in FileManager. [#1449], [#1423]
  - Bugfix: Link verifier: Verifying didn't work correctly for https:// links. [#1478]
  - Bugfix: Most of the bugfixes included in versions from 3.3.7 until 3.3.10.

4.0.0 [29 Oct 2004]
  First release.
  Known bugs in 4.0.0:
- Adding table in article editor does not work in Mozilla.
- Paste-as-text in article editor does not work in Mozilla.
- Permissions page is cluttered in Mozilla.
